# Generated by Makefile. Do not edit.

commit eb78b499fc4ae5733988254cd54e5cdad6ba0d3d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jan 16 12:03:45 2015 +0100

    Release 3.15.4

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit ac517ef4923363df4a07827bc2874d4c61effa94
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 12 19:17:52 2015 +0100

    Updated Spanish translation

 po/es.po | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 272a91f086f8f2a02776ba2b5e5dd4929100d248
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sun Nov 30 16:52:41 2014 +0100

    Added Romanian Translation

 po/LINGUAS |    1 +
 po/ro.po   | 1811 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1812 insertions(+)

commit 962d5d35ddb1a6153de112616126da29fae12159
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 27 06:49:44 2014 +0100

    Updated Czech translation

 help/cs/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 161c98f89e0ab6c162959174412d9747a02ca728
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   Tue Nov 4 22:12:33 2014 +0100

    Updated Czech translation

 po/cs.po | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit e0c4b817d62905111ac91f42573f42d663b9cc95
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Mar 25 11:56:20 2013 +0100

    Build context menu from GActions too
    
    to get rid of the open coded menu. This allows us to use the same
    functions for the app menu and the context menu.

 po/POTFILES.in                     |   1 +
 src/Makefile.am                    |   1 +
 src/ka-applet.c                    | 154 +++++++++++++++----------------------
 src/krb5-auth-dialog.gresource.xml |   1 +
 src/resources/ui/tray-icon-menu.ui |  30 ++++++++
 5 files changed, 95 insertions(+), 92 deletions(-)

commit b41a0532379e5be2a96577c6c66ae20d956403d3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Nov 1 21:20:44 2014 +0100

    Add no-persistence test option
    
    This allows us to test notification systems without persistence.
    We can then e.g. embed it into an Xnest sessions's xfce4-panel.

 src/ka-applet.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 536d7d26802c7f91c45ef74e5b937f457392d6fd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Nov 1 14:14:42 2014 +0100

    Add no-header-bar test option
    
    This allows us to test the dialogs without header bars

 src/ka-applet.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit f9d341f91787581f5a55ff03dd275104a417530f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Nov 1 14:00:18 2014 +0100

    More generic debug/test option handling
    
      KRB5_AUTH_DIALOG_DEBUG_NO_APP_MENU
    
    is now
    
      KRB5_AUTH_DIALOG_DEBUG=no-app-menu
    
    This will allow to extend this to more options

 src/ka-applet.c | 50 +++++++++++++++++++++++++++++++++++---------------
 1 file changed, 35 insertions(+), 15 deletions(-)

commit f1ce73aab7bb64f237df4aa093c6d49340039870
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 30 09:56:22 2014 +0100

    Add a minimal border around the ticket list
    
    for better visual grouping

 src/resources/ui/ka-main-window.ui | 1 +
 1 file changed, 1 insertion(+)

commit 6724f7b4f7d7370108ee4c935343d51334ce32e8
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 30 09:56:07 2014 +0100

    Center ticket window on screen

 src/resources/ui/ka-main-window.ui | 1 +
 1 file changed, 1 insertion(+)

commit 33164937cc338c104a073dd998f7c7cfc8c71450
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 30 09:47:06 2014 +0100

    Use GtkGrid instead of the deprecated GtkVBox

 src/resources/ui/ka-main-window.ui | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 60325a5385aa3b7a011a48470ab5234f93700ec0
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 30 09:39:53 2014 +0100

    Remove duplicate preferences dialog

 src/resources/ui/ka-main-window.ui | 782 -------------------------------------
 1 file changed, 782 deletions(-)

commit 01d6377ab05929927a349de0a4e29054b4e7651a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 30 09:39:20 2014 +0100

    Add missing parent tag

 src/resources/ui/ka-preferences.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 805f20deeece5b3491f8dbcb6790bc87cc5b76e0
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 30 10:13:38 2014 +0100

    Misplaced comment

 src/ka-applet.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit db63dafaffbacf4974471259b9025eb2d23e423b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Oct 27 20:01:05 2014 +0100

    Release 3.15.1

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit fe4d9157fcfc3f547bd564fd626885ae3f2aaddb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Oct 27 12:59:22 2014 +0100

    Drop now unused krb5-auth-dialog.ui

 po/POTFILES.in          |   1 -
 src/krb5-auth-dialog.ui | 816 ------------------------------------------------
 2 files changed, 817 deletions(-)

commit dddaa72bdda80fa7c8ae0bc415ea12603963646f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Oct 27 12:46:18 2014 +0100

    Adjust header bar usage to the used desktop environment

 src/ka-preferences.c | 10 ++++++++--
 src/ka-pwdialog.c    | 11 +++++++----
 2 files changed, 15 insertions(+), 6 deletions(-)

commit a6936220ddfefede7172cb7953be50e8409e8d13
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Oct 27 07:31:19 2014 +0100

    Remove support for libnotify << 0.7
    
    from 2010. We required that version in configure.ac anyway.

 src/ka-applet.c | 12 ------------
 1 file changed, 12 deletions(-)

commit a4d921f35cc65b14e4204cc855f0d2c3bbf68f29
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 26 18:07:47 2014 +0100

    Cleanup on SIGTERM and SIGQUIT
    
    This makes sure we don't leave any old notifiations around

 src/ka-applet.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 27f0e3523b4579cdad1d38492a7f8acbea556a8d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Oct 27 05:50:38 2014 +0100

    Added Serbian translation

 po/sr.po       | 94 +++++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 94 +++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 108 insertions(+), 80 deletions(-)

commit 334a494b4931000954048d1057c50d9a8e999477
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 26 15:45:31 2014 +0100

    Updated POTFILES.in

 po/POTFILES.in | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit c62623e5433550d8c45127317a5291d339db5934
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 26 14:41:17 2014 +0100

    Silence status icon related deprecation warnings
    
    We want to support this mode for some time for e.g. XFCE

 src/ka-applet.c | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit d1fd53f9455d927c57e542d88071de0ec5806e15
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 26 14:57:34 2014 +0100

    Don't log error about missing ticket cache at warning level
    
    so we can continue to use fatal-warnings.

 src/ka-kerberos.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69f66f3f1f5d01f89ceb2b4fbe495e3c137863fb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 26 10:52:13 2014 +0100

    Introduce ka_log_error_message_at_level
    
    This allows us to log kerberos error message at different levels.
    Sometimes they are expected and we don't want to issue a warning/
    critical in order to not trap on G_DEBUG=fatal-warnings.

 src/ka-kerberos.c | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit dfb16eb28322ed1d0d0458bc40a172c4f9ddbad9
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Oct 25 13:37:50 2014 +0200

    Update copyright

 src/ka-tools.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90a9b3536dc804d9eda914f8b2bade9f075d31f7
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Oct 25 13:34:50 2014 +0200

    Initially sync ticket properties
    
    to properly reflect the current gsettings. This also got broken
    during the GConf to GSettings switch.

 src/ka-preferences.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 5342205c2a07299d6d05aa70018c139c097abd80
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Oct 24 16:24:15 2014 +0200

    Don't try to set an empty property
    
    Resulting from a c'n'p error we still set old_path resulting in ""
    being treated as property.

 src/ka-preferences.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03e1903797b87685fe7cc21eb65228a98132f6f3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Oct 24 16:16:31 2014 +0200

    Fix pkinit property names
    
    This got broken by the move from GConf to GSettings

 src/ka-preferences.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 373ae2c5d3eab708e9245deb93f65c3068f351e1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Oct 24 13:56:16 2014 +0200

    Make preferences a proper child of GtkDialog
    
    This gives us variants with and without header bar for free.

 src/ka-applet.c                    |   9 +-
 src/ka-preferences.c               | 513 ++++++++++++++++++++++---------------
 src/ka-preferences.h               |  25 +-
 src/resources/ui/ka-preferences.ui |   6 +-
 4 files changed, 341 insertions(+), 212 deletions(-)

commit 8d3e1c9103e7837132eaeffc7736799e2fc95e77
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Oct 24 00:03:49 2014 +0200

    Update POTFILES.in

 po/POTFILES.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 4b84309343328567fde22d6e3dff6787d0229b24
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 23:59:54 2014 +0200

    Retrieve main window via GResource
    
    Not using a external glade file makes it simpler to run from the source
    tree.

 src/Makefile.am                    |   8 +-
 src/ka-applet.c                    |  20 +-
 src/ka-main-window.c               |  10 +-
 src/ka-main-window.h               |   2 +-
 src/krb5-auth-dialog.gresource.xml |   1 +
 src/resources/ui/ka-main-window.ui | 816 +++++++++++++++++++++++++++++++++++++
 6 files changed, 827 insertions(+), 30 deletions(-)

commit 5c38aea0f6a808f8379bb6e7e71a268e3f911be4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 23:46:18 2014 +0200

    Retrieve prefs dialog via GResource
    
    Not using a external glade file makes it simpler to run from the source
    tree.

 src/Makefile.am                    |   1 +
 src/ka-applet.c                    |   2 +-
 src/ka-preferences.c               |  11 +-
 src/ka-preferences.h               |   2 +-
 src/krb5-auth-dialog.gresource.xml |   1 +
 src/resources/ui/ka-preferences.ui | 791 +++++++++++++++++++++++++++++++++++++
 6 files changed, 801 insertions(+), 7 deletions(-)

commit 643fc595e87c907d97c490a2911dc950ea46d7ca
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 23:31:59 2014 +0200

    Retrieve app-menu via GResource
    
    Not using a external glade file makes it simpler to run from the source
    tree.

 src/Makefile.am                    |  2 ++
 src/ka-applet.c                    | 19 ++++++++++++-------
 src/krb5-auth-dialog.gresource.xml |  1 +
 src/krb5-auth-dialog.ui            | 24 ------------------------
 src/resources/ui/app-menu.ui       | 28 ++++++++++++++++++++++++++++
 5 files changed, 43 insertions(+), 31 deletions(-)

commit f47460db49e3ec5cb7bf8b0ba44a1d4d5c46d1dc
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 23:05:26 2014 +0200

    Remove ka_pwdialog_create
    
    and use ka_pwdialog_new instead

 src/ka-applet.c   |  2 +-
 src/ka-pwdialog.c | 76 +++++++++++++++++++++++++++----------------------------
 src/ka-pwdialog.h |  2 +-
 3 files changed, 40 insertions(+), 40 deletions(-)

commit 6265b3c9bfb81c2b4f1a8fca8c0d4900cae88779
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 22:56:28 2014 +0200

    Pass on use-header-bar property to GtkDialog

 src/ka-pwdialog.c | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit f3c9e040f0ac85193fd33c44f9ac8c96d9a87565
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 21:09:19 2014 +0200

    Make KaPwDialog a proper child of GtkDialog
    
    This gives us variants with and without header bar for free.

 .gitignore                         |   1 +
 configure.ac                       |   3 +
 src/Makefile.am                    |  10 +++
 src/ka-applet.c                    |   4 +-
 src/ka-pwdialog.c                  |  55 +++++++------
 src/ka-pwdialog.h                  |   2 +-
 src/krb5-auth-dialog.gresource.xml |   6 ++
 src/krb5-auth-dialog.ui            | 163 -------------------------------------
 src/resources/ui/ka-pwdialog.ui    | 150 ++++++++++++++++++++++++++++++++++
 9 files changed, 201 insertions(+), 193 deletions(-)

commit 5d15c67b20816cb9990d7cb6154ba8d1346ca90c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Oct 24 16:28:57 2014 +0200

    Bump minimum required GTK+ version
    
    for the dialogs header bar handling.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f7c9b06a79c28038e758473922f463df2b96336
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 20:29:14 2014 +0200

    Update .gitignore

 .gitignore | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit cb8b7aa9ec8253404c63b29b464dc60caa0e3c05
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 19:50:21 2014 +0200

    Release 3.14.0

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 5951d74397bc1367403750b96f8c85990910110b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 19:43:37 2014 +0200

    Don't use deprecated GTK_STOCK_*

 src/ka-preferences.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6e96831b5fdc0ab36a5fe6e4b8be553846a35d53
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Oct 23 19:36:36 2014 +0200

    Don't use deprecated images in menus

 src/ka-applet.c | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 6bb3c08904ff5ee373d3782004130ae341191437
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Oct 20 10:31:16 2014 +0200

    Use current user name to determine principal
    
    This got broken when switching from GConf to GSettings.

 src/ka-kerberos.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 935ee0fccb1b9cb6197ec2afbd8d64b5e0732903
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 12 10:31:37 2014 +0200

    Adjust format string
    
    Argument is size_t not int

 src/ka-kerberos.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff01590b7ec884afef7996d2f416564bf0857f89
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 12 10:27:37 2014 +0200

    Use g_debug instead of a custom debug macro
    
    set a log domain accordingly. This make rebuilding for debugging
    superfluous.

 plugins/Makefile.am  | 16 +++++++++++-----
 src/Makefile.am      |  1 +
 src/ka-applet-priv.h |  9 +++------
 3 files changed, 15 insertions(+), 11 deletions(-)

commit cc0b7a4042245e7b023894f4e938302d1b11be78
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   Wed Aug 20 05:54:08 2014 +0200

    Updated Czech translation

 po/cs.po | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit 48e6e3e64f8d9154784b2907c5c7ca17a72e8c55
Author: Olav Vitters <olav@vitters.nl>
Date:   Mon Aug 11 10:44:24 2014 +0200

    revert putting into deprecated

 krb5-auth-dialog.doap | 1 -
 1 file changed, 1 deletion(-)

commit 94956814d1ca6a33766fc62df2b730cc46893713
Author: Olav Vitters <olav@vitters.nl>
Date:   Thu Jul 31 12:05:24 2014 +0200

    doap category deprecated

 krb5-auth-dialog.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da9888ca4c42f08da84bd50c222a39a0123b611c
Author: Olav Vitters <olav@vitters.nl>
Date:   Thu Jul 31 12:00:22 2014 +0200

    doap category deprecated

 krb5-auth-dialog.doap | 1 +
 1 file changed, 1 insertion(+)

commit 474d999a201cf1ec92247188264aaf51c877ca36
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Fri Jun 20 13:23:55 2014 +0200

    Updated Spanish translation

 po/es.po | 90 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 46 insertions(+), 44 deletions(-)

commit 02d1bbf5c2bafb62360b1b17d27afa8c2cf484af
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jun 19 20:02:44 2014 +0200

    Release 3.12.0

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 5a76548e88e662c3e7a73f9885e1c0f05815dac3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jun 19 19:58:59 2014 +0200

    Move buttons into headerbars
    
    to be consistent with other gnome apps

 src/krb5-auth-dialog.ui | 78 +++++++++++++++++++++----------------------------
 1 file changed, 34 insertions(+), 44 deletions(-)

commit d3c917a84b3c2e26fe58b8131923b9fa9455a9ba
Author: MarMav <mavridou@gmail.com>
Date:   Wed Jun 18 11:09:33 2014 +0000

    Updated Greek translation

 po/el.po | 148 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 89 insertions(+), 59 deletions(-)

commit 873b2cdaa298d7e5bac0eba38e19c69b274d1547
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Jun 18 01:20:31 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 86 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 44 insertions(+), 42 deletions(-)

commit a206f560c80b904d053b61d3f2173b637c254390
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jun 18 00:13:19 2014 +0200

    Update possible value for bad passwords
    
    At least heimdal also returns KRB5KRB_AP_ERR_MODIFIED and
    KRB5_GET_IN_TKT_LOOP as seen in kinit.
    
    This makes sure we properly reprompt for the password when seeing these
    values.

 src/ka-kerberos.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4cb70e0f0dcf2c2979c0b3af49a1160a28611a95
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 10 14:01:26 2014 +0200

    Improve error message when without network connection
    
    Kerberos Error messages can be confusing without network connection,
    e.g. current heimdal reports EINVAL. So report if we're online as
    additional information.

 src/ka-kerberos.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c20f7387f06fd5609771bb7303c9988a7cc23143
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 10 10:57:15 2014 +0200

    Use G_APPLICATION_HANDLES_COMMAND_LINE
    
    LP: #1311487

 src/ka-applet.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 497cc7350bb5c4e4a39ec81fc57ab44ee10ac2ac
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Thu Apr 17 20:30:42 2014 +0300

    Added Greek translation

 help/Makefile.am |   2 +-
 help/el/el.po    | 575 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 576 insertions(+), 1 deletion(-)

commit 68f0d34584c9b5497b2c5fef43c609a1cdb28445
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   Wed Mar 12 11:22:13 2014 +0100

    Updated Czech translation

 po/cs.po | 144 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 87 insertions(+), 57 deletions(-)

commit 456e915b96ecf7a6016c0b76a462e3418f43f841
Author: Zoran Pericic <zpericic@netst.org>
Date:   Fri Dec 27 20:45:19 2013 +0100

    gnomelock plugin
    
    gnomelock plugin locks screen via dbus on ticket expiration.

 plugins/Makefile.am           |  18 ++++++
 plugins/ka-plugin-gnomelock.c | 130 ++++++++++++++++++++++++++++++++++++++++++
 plugins/ka-plugin-gnomelock.h |  50 ++++++++++++++++
 3 files changed, 198 insertions(+)

commit 115452f4830ab44ccc16e644f8a378eea87d3eda
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Feb 7 11:41:31 2014 +0100

    Updated Galician translations

 po/gl.po | 96 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 58 insertions(+), 38 deletions(-)

commit bf50e9382d867fcc5721a7a2a4266b9b94132d0f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:55:49 2014 +0100

    Updated FSF's address

 plugins/ka-plugin-afs.c   | 3 +--
 plugins/ka-plugin-afs.h   | 3 +--
 plugins/ka-plugin-dummy.c | 3 +--
 plugins/ka-plugin-dummy.h | 3 +--
 plugins/ka-plugin-pam.c   | 3 +--
 plugins/ka-plugin-pam.h   | 3 +--
 src/ka-applet-priv.h      | 3 +--
 src/ka-applet.c           | 3 +--
 src/ka-applet.h           | 3 +--
 src/ka-closures.c         | 3 +--
 src/ka-closures.h         | 3 +--
 src/ka-dbus.c             | 3 +--
 src/ka-dbus.h             | 3 +--
 src/ka-entry-buffer.c     | 3 +--
 src/ka-entry-buffer.h     | 3 +--
 src/ka-kerberos.c         | 3 +--
 src/ka-kerberos.h         | 3 +--
 src/ka-main-window.c      | 3 +--
 src/ka-main-window.h      | 3 +--
 src/ka-plugin-loader.c    | 3 +--
 src/ka-plugin-loader.h    | 3 +--
 src/ka-plugin.c           | 3 +--
 src/ka-plugin.h           | 3 +--
 src/ka-preferences.c      | 3 +--
 src/ka-pwdialog.c         | 3 +--
 src/ka-pwdialog.h         | 3 +--
 src/ka-settings.c         | 3 +--
 src/ka-settings.h         | 3 +--
 src/ka-tools.c            | 3 +--
 src/ka-tools.h            | 3 +--
 30 files changed, 30 insertions(+), 60 deletions(-)

commit 488582a1baf7f575a4efc235d94e9f5ef6ee18cf
Author: YunQiang Su <wzssyqa@gmail.com>
Date:   Sat Jan 25 15:24:38 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 58 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 33 insertions(+), 25 deletions(-)

commit 687ad5586b1e98f1a9ab4c273d32127f5a35dc30
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Oct 13 21:50:52 2013 +0200

    Updated Serbian translation

 po/sr.po       | 31 ++++++++++++++++++++++++++-----
 po/sr@latin.po | 31 ++++++++++++++++++++++++++-----
 2 files changed, 52 insertions(+), 10 deletions(-)

commit 99b17a790e668c4830b17cdf651bb24bd2b52cb5
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Oct 7 13:19:28 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit b94aaa0dc454651ac3550b251edc7e5d5eda690b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Oct 7 16:32:06 2013 +0200

    Updated Spanish translation

 po/es.po | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)

commit badb4b5882531c1f33d67726d01dc37dba367ac3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 1 23:57:13 2013 +0200

    Add appdata

 po/POTFILES.in                      |  1 +
 src/Makefile.am                     | 12 +++++++++++-
 src/krb5-auth-dialog.appdata.xml.in | 23 +++++++++++++++++++++++
 3 files changed, 35 insertions(+), 1 deletion(-)

commit 9acb30e12410b5fa6f08d5f38a6ddecbd06d3139
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Thu Jul 4 09:32:18 2013 +0200

    krb5_principal_compare crashes on NULL arguments
    
    Debian Bug #714825

 src/ka-kerberos.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c9dfd6a55135c4970b0dc83353c5f08e9496db3f
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Fri Sep 13 22:12:56 2013 +0200

    Updated Danish translation

 po/da.po | 515 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 265 insertions(+), 250 deletions(-)

commit bcac5ee442c282b92f8c455b66566f29efe93b79
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Sep 13 00:41:31 2013 +0200

    Updated Galician translations

 po/gl.po | 221 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 119 insertions(+), 102 deletions(-)

commit 64bee7a7adf410383a1d3231d4813178fbb67afa
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Sep 7 14:35:45 2013 -0300

    Updated Brazilian Portuguese translation proofread by Enrico Nicoletto

 po/pt_BR.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 23d20c31a5ab0cf1ce4f81cf15dbe3b8b2821cc3
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jul 21 21:49:02 2013 +0200

    Added Czech language

 help/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47caf0dcca8408bb76651c7f68dedd5ee64da825
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jul 21 21:48:43 2013 +0200

    Czech translation

 help/cs/cs.po | 560 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 560 insertions(+)

commit 7c526fe0fe3e4fd324f3cb605362a87430ec2a1f
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Fri Jul 5 08:36:04 2013 +0300

    Added Greek translation

 po/LINGUAS |    1 +
 po/el.po   | 1755 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1756 insertions(+)

commit f83e185bf41e921c426e457d248cc0c3ea95eba1
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jun 8 20:39:58 2013 +0200

    Updated Czech translation

 po/cs.po | 337 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 171 insertions(+), 166 deletions(-)

commit 7db1010177eac631f36d04266d4dd74f7d05e7c7
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue May 14 11:31:20 2013 +0200

    Added Serbian translation

 po/LINGUAS     |    2 +
 po/sr.po       | 1738 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 1738 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 3478 insertions(+)

commit b1290865bd5265be6b9a2c4fd28428102c3b31bf
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Apr 9 23:14:19 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 143 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 76 insertions(+), 67 deletions(-)

commit baa5dc9ccae607de1f503a14cf014ba8ce174c1e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Apr 7 19:13:15 2013 +0200

    Updated Spanish translation

 po/es.po | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit dd3cbcc52a5a3ea2958d1a43ce1eadc590c67ea0
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Tue Apr 2 00:35:52 2013 +0800

    Update Simplified Chinese translation

 po/zh_CN.po | 538 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 285 insertions(+), 253 deletions(-)

commit 37df9b921bf989102c7a77f46827cdc9b1d1fd23
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Mar 30 20:01:49 2013 +0100

    Updated Czech translation

 po/cs.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 7dfb90a28f9558d5be359ce0f96ad6d641fc15ea
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Mar 30 09:26:46 2013 +0100

    Updated Slovenian translation

 po/sl.po | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit b338237db1d8eea579437bdb5bbb9a81ecf3c572
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Mar 30 09:24:10 2013 +0100

    Updated Slovenian translation

 po/sl.po | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit e16b12921ce38b9faa19694f276bb1bdd15adb90
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Fri Mar 29 23:15:40 2013 +0100

    Updated Slovenian translation

 po/sl.po | 138 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 71 insertions(+), 67 deletions(-)

commit bfacebdfcbaf8928acabb39306684f02c0363894
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 28 17:59:23 2013 +0100

    Updated Spanish translation

 po/es.po | 229 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 122 insertions(+), 107 deletions(-)

commit 3e9dc1284c6b0f59468457c7c6c786dc3fe66407
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 27 21:41:11 2013 +0100

    Use a 3 digit version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f8e4f1f2aa305e76eac5faa02f85cd258fffdfb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 27 21:32:35 2013 +0100

    Release 3.8

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 80da3657d00d37404dcddb9530584516d0efe7eb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Mar 25 07:29:05 2013 +0100

    Switch to an app_menu
    
    Use GtkApplicationWindow to make this simple.

 src/ka-applet-priv.h    |   1 +
 src/ka-applet.c         | 120 ++++++++++++++++++++++++++++++++++++++++--------
 src/ka-main-window.c    |  66 ++++----------------------
 src/ka-main-window.h    |   2 +-
 src/ka-preferences.c    |   9 ++--
 src/ka-preferences.h    |   2 +-
 src/ka-tools.c          |   6 ++-
 src/ka-tools.h          |   3 +-
 src/krb5-auth-dialog.ui | 115 ++++++++++------------------------------------
 9 files changed, 151 insertions(+), 173 deletions(-)

commit f238a8e7bc89c22ce9d39e4be737579062afb425
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Mar 24 18:31:43 2013 +0100

    Update for GTK+3

 src/krb5-auth-dialog.ui | 20 ++------------------
 1 file changed, 2 insertions(+), 18 deletions(-)

commit 00ea8cd15602842f28dcad84ffaee4b952a8a1a5
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Mar 17 15:57:34 2013 +0100

    Bump version to 3.7.92

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit f46e80ba5ee7be34b31c2cb9fb97f359bea7c14e
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Mar 16 20:13:39 2013 +0100

    Updated Slovenian translation

 po/sl.po | 87 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 47 insertions(+), 40 deletions(-)

commit eab1be20197418e3ba3795a931ec30eac7e3dca5
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Mar 16 14:42:07 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 137 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 73 insertions(+), 64 deletions(-)

commit 7f2bb5af6272060b63243fd9a69d7a6199da9b33
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 16 16:37:21 2013 +0100

    Hide configuration tickets by default
    
    Based on a patch by Mantas Mikulėnas
    BZ: #649830

 src/ka-applet-priv.h                    |  1 +
 src/ka-applet.c                         | 31 +++++++++++++++++++++++++++----
 src/ka-kerberos.c                       | 18 +++++++++++-------
 src/ka-kerberos.h                       |  3 ++-
 src/ka-main-window.c                    | 16 +++++++++++-----
 src/ka-main-window.h                    |  2 +-
 src/ka-settings.c                       |  1 +
 src/ka-settings.h                       |  1 +
 src/org.gnome.KrbAuthDialog.gschema.xml |  5 +++++
 9 files changed, 60 insertions(+), 18 deletions(-)

commit bf7fc622bc91d53e6fb51e0420272050eba79314
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 16 17:09:11 2013 +0100

    Reformat

 src/ka-kerberos.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 4047d40116e7dfcd71e2c300c04470b447bdfd05
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 16 14:27:20 2013 +0100

    Use KA_PROP_NAME_* instead of hardcoded strings

 src/ka-kerberos.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit c806871f7fb5916078dd707fbfd124f4a188f039
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Mar 16 09:47:43 2013 +0100

    Updated Slovenian translation

 po/sl.po | 126 +++++++++++++++++++++++----------------------------------------
 1 file changed, 45 insertions(+), 81 deletions(-)

commit 58cd616fca3a1b13789fe951256b5f7378bf7183
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Mar 15 19:10:56 2013 +0100

    Use gdk_device_{un,}grab
    
    instead of the deprecated gdk_keyboard_{un,}grab

 src/ka-pwdialog.c | 66 +++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 59 insertions(+), 7 deletions(-)

commit aeb7f423b575d0aeb928e38bff492c2f5894f9fa
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Feb 20 21:54:30 2012 +0100

    Move from GConf to GSettings

 README                                  |  54 +++-
 configure.ac                            |  10 +-
 etpo/Makefile.am                        |   2 -
 po/POTFILES.in                          |   2 +-
 src/.gitignore                          |   1 +
 src/Makefile.am                         |  27 +-
 src/ka-applet-priv.h                    |  11 +-
 src/ka-applet.c                         |  77 +++---
 src/ka-gconf-tools.c                    | 149 -----------
 src/ka-gconf-tools.h                    |  48 ----
 src/ka-gconf.c                          | 195 --------------
 src/ka-gconf.h                          |  29 --
 src/ka-kerberos.c                       |   2 +-
 src/ka-plugin-loader.c                  |  27 +-
 src/ka-preferences.c                    | 453 +++++++++++---------------------
 src/ka-preferences.h                    |   2 +
 src/ka-settings.c                       |  58 ++++
 src/ka-settings.h                       |  43 +++
 src/krb5-auth-dialog.schemas.in         | 146 ----------
 src/org.gnome.KrbAuthDialog.convert     |  13 +
 src/org.gnome.KrbAuthDialog.gschema.xml |  65 +++++
 21 files changed, 456 insertions(+), 958 deletions(-)

commit 50451b28716e74612152511af44771f761b61c49
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 13 21:17:59 2013 +0100

    Version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2280349ada1ad05c3d06271f248deca4f26ded54
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Feb 20 21:45:14 2012 +0100

    Switch to xz tarballs

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d58cf028b7b3b330e444c2abc41cfa574a043268
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 17 16:43:04 2013 +0100

    Chain up on startup signal

 src/ka-applet.c | 2 ++
 1 file changed, 2 insertions(+)

commit 502027b2fd9b14d7afa79c6b1f0df627a4a9acc6
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 17 13:11:04 2013 +0100

    Set hint to allow the shell to filter by application
    
    https://live.gnome.org/GnomeGoals/NotificationSource

 src/ka-applet.c                 | 8 +++++++-
 src/krb5-auth-dialog.desktop.in | 1 +
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 6dfd23acce6fa37d0a5442a454f0d0f1d35ee716
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 17 13:18:03 2013 +0100

    Cleanup whitespace

 src/ka-applet.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8e540f25293802309b0b8ec3462f304c9055425e
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Sun Feb 10 00:05:01 2013 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 562 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 304 insertions(+), 258 deletions(-)

commit 5510e8b0c8a2e905842962ef059b7e01a6fae24a
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jan 29 18:17:43 2013 +0100

    Updated Czech translation

 po/cs.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit cddd9d16074ea8c355821df7c486b87b388bd539
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jan 29 00:24:43 2013 +0100

    Updated Czech translation

 po/cs.po | 116 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 58 insertions(+), 58 deletions(-)

commit 1b3761ac09cbfa368868c39cc335c274799f6f67
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   Fri Nov 9 12:04:12 2012 +0100

    Updated Czech translation

 po/cs.po | 339 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 172 insertions(+), 167 deletions(-)

commit 1bbe1eec409d0b9df58c41bcc9296276ed71eb42
Author: Daniel Winzen <d@winzen4.de>
Date:   Thu Nov 8 17:54:58 2012 +0100

    Updated German help translation

 help/de/de.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit eaeba86724f410d92d3631a1388b3608a18cb1bf
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Oct 2 22:29:04 2012 +0200

    Updated Czech translation

 po/cs.po | 89 +++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 40 insertions(+), 49 deletions(-)

commit b91bb96964812acb1241ad298bf52702c2e2bcf2
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Aug 30 14:41:41 2012 +0200

    Updated Galician translations

 po/gl.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ea7f6c3ef186cd43ca879f9c6014b56291c179e9
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Jun 3 00:17:29 2012 +0200

    Updated French translation

 po/fr.po | 323 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 163 insertions(+), 160 deletions(-)

commit 9109ec49c77b1daa2d9d9b85440bdbc8da1607c1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon May 28 14:58:41 2012 +0200

    Updated Slovenian translation

 po/sl.po | 299 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 151 insertions(+), 148 deletions(-)

commit 86a06ecad9849a4ca5508cf7cfdbcede89cdf15d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun May 27 12:30:05 2012 +0200

    Updated Spanish translation

 po/es.po | 454 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 227 insertions(+), 227 deletions(-)

commit 771275702e1802b7150b9903c8ad915f604cc746
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Fri May 25 16:24:11 2012 +0200

    typo: credentails -> credentials
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676809

 src/ka-applet.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61bc6c38d4938f6c4b7938f98978538421503e7f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Mar 24 00:12:35 2012 +0100

    Updated Galician translations

 po/gl.po | 470 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 242 insertions(+), 228 deletions(-)

commit f7414096623e564d9d26794b7cc1cb3ab680929d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 16 18:41:00 2011 +0200

    Bump version to 3.2.1

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 9f435e2c60a8bea0c196be393125f6f8767e7afd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Oct 16 18:51:18 2011 +0200

    Remove cc-panel/

 cc-panel/.gitignore | 2 --
 1 file changed, 2 deletions(-)

commit aba3a821e5ea990701ca060bcc1ee40eb0d884ca
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   Tue Oct 4 11:38:35 2011 +0200

    Updated Czech translation

 po/cs.po | 501 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 252 insertions(+), 249 deletions(-)

commit 5096ce0e7364523e85ccee9da224133a7a5354bf
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Oct 1 23:20:37 2011 +0200

    Updated French translation

 po/fr.po | 353 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 176 insertions(+), 177 deletions(-)

commit feea4b3e8b0ac9a2b7d61653f13dd7531245584e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Oct 1 11:48:06 2011 +0200

    Updated Spanish translation

 help/es/es.po | 31 ++++++++++++++-----------------
 1 file changed, 14 insertions(+), 17 deletions(-)

commit 7f943685c00ea659b732c81e56ff5e5b831db5eb
Author: Zdenek Hatas <zdenek.hatas@gmail.com>
Date:   Thu Sep 29 16:12:19 2011 +0200

    Fixed typo in documentation: applet doesn't have --always option
    
    Signed-off-by: Zdeněk Hataš <zdenek.hatas@gmail.com>
    Signed-off-by: Guido Günther <agx@sigxcpu.org>

 help/C/krb5-auth-dialog.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 15fde0ec01fd3c55e886e077e3a8dcd2c24fd02c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 27 20:47:54 2011 +0200

    Register org.gnome.KrbAuthDialog early
    
    and get the bus via g_bus_get_sync unbreak DBus activation.

 src/ka-applet.c |  6 ++----
 src/ka-dbus.c   | 20 +++++++++-----------
 2 files changed, 11 insertions(+), 15 deletions(-)

commit 256cd8abe47a7d762d738295e1c8f3ca90ab7590
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 27 11:52:37 2011 +0200

    Add categories to desktop file
    
    BZ: #660227

 src/krb5-auth-dialog.desktop.in | 1 +
 1 file changed, 1 insertion(+)

commit 1c89fe8b203c85dcb4ff06fb8da34e411eb56730
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 26 22:13:36 2011 +0200

    Bump version to 3.2.0

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 72886265ec4f518e32ef178cea806b336844ecec
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 26 22:06:12 2011 +0200

    Avoid crash by not settings string columns to 0

 src/ka-kerberos.c | 2 --
 1 file changed, 2 deletions(-)

commit 42eaa5d3e594b69a555423e2a7c2c04fcb25465d
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Sep 19 21:52:10 2011 +0200

    [l10n] Updated German translation

 po/de.po | 358 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 183 insertions(+), 175 deletions(-)

commit 8efd67bb6f69ee690ea51f48a37d21cdc766e2c2
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Sep 15 12:25:21 2011 +0200

    autogen.sh: look for ka-kerberos.c

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bbe15a3a7c0d5154332e64a3bb7fbe2367056400
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 12 16:34:37 2011 +0200

    Add translator hints

 src/ka-main-window.c | 3 +++
 1 file changed, 3 insertions(+)

commit 9266c74980f52605d039cc0b6530c0a17917f6e2
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 12 12:23:13 2011 +0200

    Require GTK+3.0
    
    since GtkApplication is 3.0 only

 configure.ac | 30 +++++-------------------------
 1 file changed, 5 insertions(+), 25 deletions(-)

commit d8efe4a8fe5152f8c53c005fb0830ef80fce8a9d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 12 12:16:50 2011 +0200

    Don't try to free invalid context

 src/ka-kerberos.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 25d0d29c28cc7b6038a441f8f1ca97deefcd14db
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 12 10:51:06 2011 +0200

    Rename ka-dialog to ka-kerberos
    
    We finally moved the startup code out there.

 configure.ac         |    2 +-
 po/POTFILES.in       |    2 +-
 src/Makefile.am      |    4 +-
 src/ka-applet.c      |    2 +-
 src/ka-dbus.c        |    2 +-
 src/ka-dialog.c      | 1110 --------------------------------------------------
 src/ka-dialog.h      |   35 --
 src/ka-kerberos.c    | 1110 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-kerberos.h    |   35 ++
 src/ka-main-window.c |    2 +-
 src/ka-pwdialog.c    |    2 +-
 11 files changed, 1153 insertions(+), 1153 deletions(-)

commit 9b3059c3b60f586d344d06cc3227ee9b7bee1bb6
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 12 10:43:57 2011 +0200

    Move main() into ka-applet

 src/ka-applet.c | 26 +++++++++++++++++++++++---
 src/ka-dialog.c | 23 +----------------------
 2 files changed, 24 insertions(+), 25 deletions(-)

commit 5de82603dd831a13754a139c6eb80d9d87d4b27d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Sep 10 14:57:34 2011 +0200

    Remove NoDisplay=true from desktop file
    
    since we now use it to edit the prefs.

 src/krb5-auth-dialog.desktop.in | 1 -
 1 file changed, 1 deletion(-)

commit adc616b490faccbec37aed550002b3e3f8b0169c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 11 14:49:24 2011 +0200

    Show main window when krb5-auth-dialog is invoked again

 src/ka-applet.c | 107 +++++++++++++++++++++++++++++++++++++++++++++++++-------
 src/ka-dialog.c |  61 ++++++++++++--------------------
 2 files changed, 118 insertions(+), 50 deletions(-)

commit 819f5ea45868fad8ed9ae47d2c99862520846eda
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 11 13:35:30 2011 +0200

    Invoke Kerberos related initialization from applet
    
    instead from within main.

 src/ka-applet.c | 23 +++++++++++++++++++++++
 src/ka-dialog.c | 43 +++++++++++++++++++++++++------------------
 src/ka-dialog.h |  3 +++
 3 files changed, 51 insertions(+), 18 deletions(-)

commit 072bf062baf562bcf35436c5ebb62919cdf069e4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 11 10:59:14 2011 +0200

    Use GtkApplication
    
    to work towards better singleton operation. Since GApplication acquires
    the DBus name already don't try to own the name in ka-dbus again.

 src/ka-applet.c | 16 ++++++++++------
 src/ka-dbus.c   | 41 +++++++++--------------------------------
 src/ka-dialog.c |  2 +-
 3 files changed, 20 insertions(+), 39 deletions(-)

commit 19bb938a2bb502640f53a25f452e400dd0f68d5a
Author: Zdeněk Hataš <zdenek.hatas@gmail.com>
Date:   Fri Sep 9 12:01:57 2011 +0200

    Updated Czech translation

 po/cs.po | 202 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 103 insertions(+), 99 deletions(-)

commit 8b53aed4c6ae13782b68b51fbdafba83f2da61f8
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Sep 7 21:28:35 2011 +0200

    Updated Slovenian translation

 po/sl.po | 329 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 169 insertions(+), 160 deletions(-)

commit 9687ba4ba4c547436a122f21129bc6251a8b4a49
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 6 16:36:32 2011 +0200

    build: Really drop libgnome-control-center dependency
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658364

 configure.ac | 8 --------
 1 file changed, 8 deletions(-)

commit 1fec2e02597926de3921da4b462610779a1333bf
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 6 12:37:28 2011 +0200

    Bump version to 3.1.91

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit becb3cadc883efcd444b9ffbccdd5ac535062feb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 6 10:53:37 2011 +0200

    Remove items moved to ticket dialog

 src/ka-applet.c | 50 +-------------------------------------------------
 1 file changed, 1 insertion(+), 49 deletions(-)

commit 3fe50f6c8450f1eb38dbb249c89b92ff51032ed3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 21:52:47 2011 +0200

    Add preferences dialog instead of using the cc-panel
    
    BZ: #657292

 Makefile.am                        |   2 +-
 cc-panel/Makefile.am               |  55 ---
 cc-panel/cc-ka-panel.c             | 784 ------------------------------------
 cc-panel/cc-ka-panel.h             |  45 ---
 cc-panel/gnome-ka-panel.desktop.in |  17 -
 cc-panel/ka-module.c               |  20 -
 cc-panel/ka-panel.ui               | 732 ----------------------------------
 configure.ac                       |   1 -
 po/POTFILES.in                     |   4 +-
 src/Makefile.am                    |   2 +
 src/ka-applet.c                    |   3 +
 src/ka-main-window.c               |   3 +-
 src/ka-preferences.c               | 689 ++++++++++++++++++++++++++++++++
 src/ka-preferences.h               |  21 +
 src/krb5-auth-dialog.ui            | 794 +++++++++++++++++++++++++++++++++++++
 15 files changed, 1513 insertions(+), 1659 deletions(-)

commit 58680535a6fb6e860276d05703341f5fc505149c
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 5 13:54:59 2011 +0200

    Updated Spanish translation

 po/es.po | 81 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 45 insertions(+), 36 deletions(-)

commit 030d15751d0ab74b0624680f696248747fd1d562
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 20:08:28 2011 +0200

    Wire up about dialog

 src/ka-applet.c      | 23 +----------------------
 src/ka-main-window.c |  2 +-
 src/ka-tools.c       | 28 ++++++++++++++++++++++++++++
 src/ka-tools.h       |  1 +
 4 files changed, 31 insertions(+), 23 deletions(-)

commit 604cd3bbf5ed06f45d06d89c62a13b05c85e6510
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 19:05:08 2011 +0200

    Add menu bar to main window

 src/ka-main-window.c    |  64 +++++++++++++--
 src/ka-main-window.h    |   2 +-
 src/krb5-auth-dialog.ui | 213 +++++++++++++++++++++++++++++++++++++-----------
 3 files changed, 227 insertions(+), 52 deletions(-)

commit 88d1f28b5aa86aba5cf4d46f719fe2ca5c9f1040
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 19:20:12 2011 +0200

    Name callbacks consistently

 src/ka-applet.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 53dfb8407380dd82d32f80c5deed39da1f982cfa
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 18:47:32 2011 +0200

    Update the main window's ticket list when the ccache changes
    
    Introduce a krb-ccache-changed signal for that.

 src/ka-applet-priv.h |  4 +++-
 src/ka-applet.c      | 12 +++++++++---
 src/ka-dbus.c        |  2 +-
 src/ka-dialog.c      |  7 ++++---
 src/ka-main-window.c | 14 +++++++++++++-
 src/ka-main-window.h |  4 +++-
 6 files changed, 33 insertions(+), 10 deletions(-)

commit 47bdf47feaa0a4b5fd9fd05e96f4b1f4a4eca49c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 15:31:44 2011 +0200

    Make the tickets dialog the main window
    
    instead of a dialog

 po/POTFILES.in          |   2 +-
 src/Makefile.am         |   4 +-
 src/ka-applet.c         |  10 ++--
 src/ka-dialog.c         |   2 +-
 src/ka-main-window.c    | 123 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-main-window.h    |  40 ++++++++++++++++
 src/ka-tickets.c        | 116 ---------------------------------------------
 src/ka-tickets.h        |  39 ---------------
 src/krb5-auth-dialog.ui |  61 +++++-------------------
 9 files changed, 184 insertions(+), 213 deletions(-)

commit 371720a2b70b968dfcaaf5b7de0d0826c985a050
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 4 16:05:54 2011 +0200

    Connect GtkBuilder signals

 src/ka-applet.c | 2 ++
 1 file changed, 2 insertions(+)

commit 8c1a20fbfee1c1ed6ad3002e169c939ad9e87477
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 16 23:00:21 2011 +0200

    Updated Galician translations

 po/gl.po | 293 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 166 insertions(+), 127 deletions(-)

commit 7a7a51829f6fa07470f311b8d090569a9845c791
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Aug 16 15:22:10 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 413 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 221 insertions(+), 192 deletions(-)

commit f12286399ca209b31ca17d4162fbf99ed6968b36
Author: Petr Kovar <pkovar@redhat.com>
Date:   Fri Jun 10 15:57:05 2011 +0200

    Fix Czech translation

 po/cs.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 905cb444e01794557d038c4547d483a18f2a46cf
Author: Petr Kovar <pkovar@redhat.com>
Date:   Fri Jun 10 15:52:51 2011 +0200

    Update Czech translation by Zdenek Hatas

 po/cs.po | 351 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 189 insertions(+), 162 deletions(-)

commit 2b27db7f8d18d7d6d473a1efd093a1fe0e646981
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Apr 24 15:56:52 2011 +0200

    Bump version to 3.0.1

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 47736eaea5871d835eb951640b0baa5c350c4060
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 22 21:05:08 2011 +0200

    Completely remove the --always option
    
    and correctly document --auto.
    
    BZ: #648242

 src/ka-dialog.c           |  5 +----
 src/krb5-auth-dialog.1.in | 15 +++++++--------
 2 files changed, 8 insertions(+), 12 deletions(-)

commit 3fa4bfb76ee2d38dfb1f3a0287d320fbb38b9e6f
Author: Claude Paroz <claude@2xlibre.net>
Date:   Thu Apr 21 17:36:17 2011 +0200

    Updated French translation

 po/fr.po | 126 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 76 insertions(+), 50 deletions(-)

commit e75b2be5f1f8a6d1410a6ea5c37217c9e29513c1
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Wed Apr 6 22:33:14 2011 +0200

    Updated Danish translation

 po/da.po | 128 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 77 insertions(+), 51 deletions(-)

commit 46edaee71f066bc961e319e0d589a15d44f97192
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Apr 6 12:32:04 2011 +0200

    Updated Slovenian translation

 po/sl.po | 46 ++++++++++++++++++++++++++++------------------
 1 file changed, 28 insertions(+), 18 deletions(-)

commit 704323a748cb19e177d9000f286e24eabea0c115
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Apr 4 19:53:01 2011 +0200

    Updated Spanish translation

 po/es.po | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit 048b63e48ac57a63ecb3759f0a58c431ee09bf4f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Apr 4 15:20:33 2011 +0200

    Bump version to 3.0.0

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit b9431bc950ff61e0985abd106b4a68402376b355
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 1 18:35:44 2011 +0200

    Move object registration from name acquired to bus acquired
    
    This unbreaks dbus based activation where the exported interfaces
    wouldn't be available when the application first requesting it looks at
    it resulting in:
    
    DBusException: org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.KrbAuthDialog' on object at path /org/gnome/KrbAuthDialog

 src/ka-dbus.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a5b7c21fba6f99afb768604a20fe394edee9dd16
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 1 17:54:28 2011 +0200

    Remove superfluous default argument

 src/org.gnome.KrbAuthDialog.service.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94643b1b79172860c09efcfe8be874170f69562d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 1 16:11:36 2011 +0200

    Update copyright and comments

 src/ka-applet.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6dbcd27838a820d98421af9cdbe9955d1d003902
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 31 22:37:50 2011 +0200

    [l10n] Updated German translation

 po/de.po | 268 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 131 insertions(+), 137 deletions(-)

commit cdc8fd453e1c4fc52472409eadb5a61d616c240b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 30 15:25:55 2011 +0200

    Simplify by using gtk_tree_view_insert_column_with_attributes

 src/ka-tickets.c | 72 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit 5ec9b6df318c816f3d1ff1604baba5f6a3a0dc2b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 30 15:04:01 2011 +0200

    Ignore generated bz2 files

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 2d61d9a54da71c87d6f6837eb5fb5db883aafe73
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 30 14:58:31 2011 +0200

    Special case initial notification
    
    this makes sure the user sees an initial notification and the
    notification message doesn't talk about "refreshing" when we're actually
    just reporting the current status.

 src/ka-applet.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit aa02873b65668c69067090041af3803fc753b239
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 30 14:03:53 2011 +0200

    Fix description for translators

 cc-panel/gnome-ka-panel.desktop.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 589643460d363128ca5ef268aa49d0501bf65206
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Tue Mar 29 16:16:32 2011 +0200

    Updated Slovenian translation

 po/sl.po | 160 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 87 insertions(+), 73 deletions(-)

commit 9cf49075f942fb0ae67685458bedca8ef0449912
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 28 20:39:34 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 262 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 133 insertions(+), 129 deletions(-)

commit 378378f939868df01669042d1a5f8e1541950b10
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Mar 28 19:07:48 2011 +0200

    Updated Spanish translation

 po/es.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 8c28c8a6500fa28426a493c1c26039a0c2668d93
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Mar 27 22:15:22 2011 +0200

    Add bug-database and download-page

 krb5-auth-dialog.doap | 2 ++
 1 file changed, 2 insertions(+)

commit 8c192286510afa28b056317321b062f107d6f994
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Mar 27 22:08:55 2011 +0200

    Add description to doap file

 krb5-auth-dialog.doap | 7 +++++++
 1 file changed, 7 insertions(+)

commit 3504c98b48de8abd16d9331c332a0fed09803b2f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 26 08:46:35 2011 +0100

    Bump version to 2.91.93

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 585d63c4c7cbe0276c7d343d1c57df9518fb3867
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 26 08:31:51 2011 +0100

    Indicate empty ticket cache

 src/ka-dialog.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 1256147f9922196ff477f3c9b24fe20ec120994c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Mar 25 19:28:29 2011 +0100

    Updated Spanish translation

 po/es.po | 110 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 69 insertions(+), 41 deletions(-)

commit c00a691f07b9b97ed41d309627e0aa59afb32858
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 23 15:03:13 2011 +0100

    Revert "Call it "Kerberos Authentication" consistently"
    
    This reverts commit da08ed170f9d668e72c153ff52bb4bcc278feb4a.
    
    This is already spelled out in the details of the notification.

 src/ka-applet.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e4ae7390b0bd23b367144424538fa2619d46136c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 23 14:03:55 2011 +0100

    Move pkinit properties to separate tab
    
    Only few users will need them.

 cc-panel/ka-panel.ui | 514 +++++++++++++++++++++++++++++++++------------------
 1 file changed, 333 insertions(+), 181 deletions(-)

commit 364529f063b6fbd051d92a4732a477280f51abc0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Mar 22 21:06:13 2011 +0100

    Updated Spanish translation

 po/es.po | 139 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 67 deletions(-)

commit da08ed170f9d668e72c153ff52bb4bcc278feb4a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Mar 21 21:49:07 2011 +0100

    Call it "Kerberos Authentication" consistently

 src/ka-applet.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7e4ca4889c40e011894b9a809e1f45b62e43e8f3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Mar 21 21:48:22 2011 +0100

    There's no tray icon in GNOME3

 krb5-auth-dialog.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e84bb13c18534c9f77e73bc7f9a5464bedeb4f0
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Mar 20 11:41:52 2011 +0100

    Updated French translation

 po/fr.po | 112 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 54 insertions(+), 58 deletions(-)

commit 27caa1d56d488b45527d44cd996bb2f6a897868e
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Mar 20 11:38:06 2011 +0100

    Updated French translation

 po/fr.po | 140 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 62 insertions(+), 78 deletions(-)

commit 658eced9ec3a2cd5a72cdf8ffd4da711030eb6ee
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Mar 2 18:01:23 2011 +0100

    Beautify cc-panel a bit

 cc-panel/ka-panel.ui | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit ceadb0d569528de606dcea73f058cba788deb5e7
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Mar 13 12:04:10 2011 +0100

    Updated Danish translation

 po/da.po | 1717 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1717 insertions(+)

commit 31f12bba6f30571de7474046c10988b747a9b828
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Mar 13 12:04:09 2011 +0100

    Added da to list of languages

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 3deb396641e2e28a6637d3f57af27aebfd7882a8
Author: Dan Williams <dcbw@redhat.com>
Date:   Mon Mar 7 22:41:28 2011 -0600

    Update for NetworkManager 0.9
    
    Fix up the defines a bit for additional NM 0.9 states.

 src/ka-dialog.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 153d4059b999bddc60a12f0bb960fdbeff24c477
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Mar 7 18:55:52 2011 +0100

    Run autoupdate and switch to bzip2

 configure.ac | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 461783f5ff6469a1e0803954e120394cc3172afd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Mar 7 18:26:50 2011 +0100

    Bump version to 2.91.91

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ce202b6975ff0390ac2ef56d2f24f5f15b56c384
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Feb 25 23:09:22 2011 +0100

    Port to GDBus
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622885

 configure.ac            |  12 +--
 etpo/Makefile.am        |   2 -
 plugins/ka-plugin-afs.c |   6 +-
 src/.gitignore          |   1 -
 src/Makefile.am         |  14 ---
 src/ka-applet-priv.h    |   5 +
 src/ka-applet.c         |  28 ++++--
 src/ka-dbus.c           | 247 ++++++++++++++++++++++++++++++++++++------------
 src/ka-dbus.h           |  12 +--
 src/ka-dbus.xml         |  30 ------
 src/ka-dialog.c         |  15 ++-
 11 files changed, 233 insertions(+), 139 deletions(-)

commit d7fb06fed1ef841e854ede85980c9e5d6544e868
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 24 21:59:36 2011 +0100

    Reindent according to CodingStyle

 CodingStyle       |    5 +-
 src/ka-dbus.c     |  126 +++--
 src/ka-dbus.h     |   12 +-
 src/ka-dialog.c   | 1399 ++++++++++++++++++++++++++---------------------------
 src/ka-pwdialog.c |  381 ++++++++-------
 src/ka-pwdialog.h |   21 +-
 src/ka-tickets.c  |  147 +++---
 src/ka-tickets.h  |   18 +-
 8 files changed, 1062 insertions(+), 1047 deletions(-)

commit 345521f0e3bd7e3ba0b9975da9db70702aec60e4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 27 15:43:16 2011 +0100

    Add acquire ticket and destroy ccache via DBus examples

 examples/Makefile.am       | 2 ++
 examples/destroy-ccache.py | 8 ++++++++
 examples/tgt-acquire.py    | 8 ++++++++
 3 files changed, 18 insertions(+)

commit 1824f443fcd94b2cce375d3f3b3d1636230e332b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 24 19:39:37 2011 +0100

    Bump version to 2.91.90

 NEWS         | 15 ++++++++++++++-
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 1c3f34f7dd486e50ed8ba89baff13042ae2bed69
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 24 19:26:11 2011 +0100

    Check credential cache status when entering the mainloop
    
    Instead of waiting for the first time the expiry timer kicks in check
    for valid tickets once we've set up everything.

 src/ka-dialog.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 6c81e8cbf5c9a59f4412fcd96668ec192e7311bd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 24 18:28:51 2011 +0100

    Make always_run the default
    
    Debian Bug: #582497

 src/ka-dialog.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit ab3c8a7335af2b9a881eb05c1e71e2679ac46338
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 24 13:20:13 2011 +0100

    Add a band aid for #642666

 src/ka-applet.c | 34 ++++++++++++++++++++++------------
 1 file changed, 22 insertions(+), 12 deletions(-)

commit 0497c19b4ece56ce68837f032f3c87866d9011ba
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Feb 15 21:36:30 2011 +0100

    Rename the UI definitions to .ui

 po/POTFILES.in           |   2 +-
 src/Makefile.am          |   2 +-
 src/ka-applet.c          |   2 +-
 src/krb5-auth-dialog.ui  | 216 +++++++++++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-dialog.xml | 216 -----------------------------------------------
 5 files changed, 219 insertions(+), 219 deletions(-)

commit 286054dfc9dabd0fa10d229ae1c71a9f2dd40326
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Feb 19 11:12:34 2011 +0100

    Updated Slovenian translation

 po/sl.po | 150 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 74 insertions(+), 76 deletions(-)

commit ba63a6711ab3e0b286ea29ff9a576681c0241a9c
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Feb 15 22:16:17 2011 +0100

    Updated Swedish translation

 po/sv.po | 420 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 215 insertions(+), 205 deletions(-)

commit 88acc9ee38f59eaf5800e49cd94c767d5dafdbc8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 15 21:31:36 2011 +0100

    Updated Spanish translation

 po/es.po | 159 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 81 insertions(+), 78 deletions(-)

commit 6ab2def9525e9a8c6d7520bd7ffbaea0b9d5545c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Feb 14 08:35:35 2011 +0100

    Bump version to 2.91.6 to follow the GNOME versioning
    
    and update NEWS file

 NEWS         | 23 +++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 24 insertions(+), 1 deletion(-)

commit 255bc9697d0e0542c5ea367fb2dbec2e18d3100b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Feb 14 18:54:58 2011 +0100

    Use KA_NAME instead of PACKAGE
    
    for a translatable application name in the notification area

 src/ka-applet.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d13c9fdb2723d32b9d2cef3c2b0ab58020050511
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Feb 14 09:28:25 2011 +0100

    No need for the tray_icon listener

 cc-panel/cc-ka-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f6eaf384d526ed39c3ae2ae819f45aeb4389cb1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Feb 14 08:32:11 2011 +0100

    Switch build default to GTK+ 3.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bf3647e817c249fa21ec89dd6698a0dd139565af
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 13 20:03:52 2011 +0100

    Rename "Network Authentication" to "Kerberos Authentication"
    
    since that's what it is.
    
    Debian Bug #593543

 src/ka-applet-priv.h            | 4 ++--
 src/krb5-auth-dialog.desktop.in | 2 +-
 src/krb5-auth-dialog.xml        | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit b9981fa9471800191714453bc5b5d3dbeb02efdd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 13 20:02:49 2011 +0100

    Install desktop file in $(datadir)/applications
    
    so the shell can find it to display the correct icon.

 src/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 8adc15960af67e293f5b4cda332ac6d94eb07a98
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 13 19:52:22 2011 +0100

    Add Icon to desktop file

 src/krb5-auth-dialog.desktop.in | 2 ++
 1 file changed, 2 insertions(+)

commit a71381d6e26bb93cfe6edad284567b0bf5d68584
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 13 19:41:53 2011 +0100

    Open gnome control center panel for preferences

 src/ka-applet.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc5a7e55dc5e6dd7ac17a00c430bc7fa9dd26ae5
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 13 17:53:20 2011 +0100

    Add "list tickets" action to notifications
    
    and add the 'remove ccache' action to the "credentials refreshed"
    notification.
    
    This is a temporary measure until we moved this over into the cc-panel.

 src/ka-applet.c | 60 ++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 44 insertions(+), 16 deletions(-)

commit 5e30a6d5bc6b2b35aefe8f3f98ee2b5ec6b881b4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Feb 12 16:56:04 2011 +0100

    Remove "show trayicon" property altogether
    
    The tray icon is now always enabled if the notification server doesn't
    support persistence.

 cc-panel/cc-ka-panel.c          | 59 -------------------------
 cc-panel/ka-panel.ui            | 96 -----------------------------------------
 src/ka-applet.c                 | 42 +-----------------
 src/ka-gconf.c                  | 16 -------
 src/krb5-auth-dialog.schemas.in | 13 ------
 5 files changed, 1 insertion(+), 225 deletions(-)

commit b7aaa4b6f869fa2dfd1b78b25ab9448773c46333
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Feb 12 16:39:50 2011 +0100

    Disable tray icon if the notification server supports persistent notifications
    
    BZ: #633420

 configure.ac    |   3 +-
 src/ka-applet.c | 197 +++++++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 141 insertions(+), 59 deletions(-)

commit 61e967ec63309dc3a1629f140c4f63c5186e3b8c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Feb 12 15:40:16 2011 +0100

    Remove has_separator property.
    
    It doesn't exist in GTK+ 3

 src/krb5-auth-dialog.xml | 2 --
 1 file changed, 2 deletions(-)

commit 1b921c629cb7a5a104afb577d3fd6f56d20b5932
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Feb 11 17:06:52 2011 +0100

    Require libnotify and drop old no tray-icon mode
    
    that simply pops up a dialog. Libnotify supports persistent
    notifications for this now.

 configure.ac    | 43 +++++++++----------------------------------
 src/ka-applet.c | 16 ----------------
 src/ka-dialog.c | 32 +++++---------------------------
 3 files changed, 14 insertions(+), 77 deletions(-)

commit 68f52116adfe4b014cb8c4e2e146b377e71a5f3f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Jan 27 20:50:52 2011 +0100

    Updated Slovenian translation

 po/sl.po | 175 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 89 insertions(+), 86 deletions(-)

commit 605184d1595ec6c2e6d2cb292850a896de6557ac
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Wed Jan 26 22:02:33 2011 +0100

    Updated French translation

 po/fr.po | 152 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 74 insertions(+), 78 deletions(-)

commit f558698ee9ac819a9a7ce9c7fcb76cd48e97f0bf
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jan 26 20:44:25 2011 +0100

    Updated Spanish translation

 po/es.po | 159 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 81 insertions(+), 78 deletions(-)

commit 65571eaf1adb79151c9a6ecc1bd7caef42d9e3bf
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jan 25 14:18:52 2011 +0100

    Drop old preferences applet

 Makefile.am                                        |   2 +-
 configure.ac                                       |   2 -
 po/POTFILES.in                                     |   3 -
 preferences/.gitignore                             |   3 -
 preferences/Makefile.am                            |  55 --
 preferences/ka-preferences.c                       | 843 ---------------------
 preferences/krb5-auth-dialog-preferences.1.in      |  22 -
 .../krb5-auth-dialog-preferences.desktop.in        |  13 -
 preferences/krb5-auth-dialog-preferences.xml       | 721 ------------------
 9 files changed, 1 insertion(+), 1663 deletions(-)

commit 0d489eac9ce9b7d7d4ef401e88afc5370c16fe39
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jan 25 14:25:01 2011 +0100

    Add gnome-control-center panel

 .gitignore                         |   2 +
 Makefile.am                        |   2 +-
 cc-panel/.gitignore                |   2 +
 cc-panel/Makefile.am               |  55 +++
 cc-panel/cc-ka-panel.c             | 843 +++++++++++++++++++++++++++++++++++++
 cc-panel/cc-ka-panel.h             |  45 ++
 cc-panel/gnome-ka-panel.desktop.in |  17 +
 cc-panel/ka-module.c               |  20 +
 cc-panel/ka-panel.ui               | 675 +++++++++++++++++++++++++++++
 configure.ac                       |   9 +
 po/POTFILES.in                     |   3 +
 11 files changed, 1672 insertions(+), 1 deletion(-)

commit d8680960e21a5aaa3b32b2b9a56223cc0f742d0c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Dec 25 23:38:04 2010 +0100

    Only update the expiry time if we succesfully renewed the ticket

 src/ka-dialog.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0e7067cf6ad3f02f17f8246e800f6e596d09f6ec
Author: Djavan Fagundes <djavan@comum.org>
Date:   Mon Dec 20 11:59:22 2010 -0200

    Added Brazilian Portuguese translation

 po/pt_BR.po | 1712 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1712 insertions(+)

commit 7a0849edfc20b4c18e5e12945e0781e22a585c90
Author: Djavan Fagundes <djavan@comum.org>
Date:   Mon Dec 20 11:56:28 2010 -0200

    Added pt_BR to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 019cdc6b54a5ab420927495676acb694c6055891
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Dec 13 21:11:44 2010 +0100

    Add missing prototype

 src/ka-applet-priv.h | 1 +
 1 file changed, 1 insertion(+)

commit c6406d4b0441e02f861a1d919529c760305a5c0c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Dec 13 21:04:07 2010 +0100

    Reindent

 src/ka-applet-priv.h | 35 ++++++++++++++++-------------------
 1 file changed, 16 insertions(+), 19 deletions(-)

commit 75d4a8c6d7265835702931e5f645198db2e16b7e
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Dec 13 20:53:37 2010 +0100

    Print the banner returned by Kerberos
    
    instead of our static message when acquiring a ticket. This makes
    passwort expiration prompts visible.

 src/ka-applet.c | 19 ++++++++++++++++++-
 src/ka-dialog.c |  3 +++
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 266f97ec422bd743b2d2c56074c0e9f98be278b7
Author: Andre Klapper <a9016009@gmx.de>
Date:   Tue Nov 9 21:06:08 2010 +0100

    Remove non-existing file to make intltool-update/gettext work

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 3dabce3c1cd248bfb8799c6a60cb3bda0bf97e06
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Nov 1 17:35:31 2010 +0100

    Check for notify_notification_new_with_status_icon
    
    to fix build with recent libnotify (>= 0.7). We keep the old code for
    the GTK+2 build.

 configure.ac    | 9 +++++++++
 src/ka-applet.c | 4 ++++
 2 files changed, 13 insertions(+)

commit e81c6d7a0468a116f30ff6e5e3020aa401da2313
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Nov 1 17:41:43 2010 +0100

    Add typenames

 CodingStyle | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 34b14dc1d2e17051d0626a012d867f878cd7d8b1
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Oct 28 21:24:41 2010 +0200

    Updated French translation

 po/fr.po | 34 ++++++++++++++++++----------------
 1 file changed, 18 insertions(+), 16 deletions(-)

commit a59cc19e4c9a9d65bde7050f2c2d13430f97f922
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Oct 22 14:46:52 2010 +0200

    Added sl for Slovenian translation

 help/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3a493a93bf84ae8c39a325a70f5128c6ec1fa8c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Oct 22 14:46:38 2010 +0200

    Added Slovenian translation

 help/sl/sl.po | 350 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 350 insertions(+)

commit f89596d6f3fc1061a8732643f59a0bf01284beb9
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Wed Oct 13 15:21:55 2010 +0300

    Updated Ukrainian translation

 po/uk.po | 163 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 91 insertions(+), 72 deletions(-)

commit 93f214594009fef14339c8e97e1b2e2c7d5ca9df
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Oct 9 19:51:46 2010 +0200

    Updated Slovenian translation

 po/sl.po | 57 ++++++++++++++++++++++++++++++---------------------------
 1 file changed, 30 insertions(+), 27 deletions(-)

commit 6cb6617fd0c765835b9665739025a63f15eb2a57
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Oct 7 14:31:28 2010 +0200

    Updated Spanish translation

 po/es.po | 38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit 58737bd969b6bff566bc8995f41796b15bb62227
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Oct 6 21:13:44 2010 +0200

    [i18n] Updated German translation

 po/de.po | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

commit 0da797ca572f411cab3b29bafdf4d4636e5adc32
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 5 17:03:06 2010 +0200

    Drop URL hook
    
    not needed with GTK+ >= 2.18

 src/ka-applet.c | 30 ------------------------------
 1 file changed, 30 deletions(-)

commit cda21c8444b0f4e7096a0a5415faef9e19b43ee9
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 5 16:28:09 2010 +0200

    Drop gtksecentry
    
    Use our own entry buffer using the secmem functions but derived from
    GtkEntryBuffer instead. This fixes the build with GTK+ 3 and gets us the
    unicode and input method handling for free.

 Makefile.am                    |    2 +-
 configure.ac                   |    3 +-
 gtksecentry/Makefile.am        |   12 -
 gtksecentry/gseal-gtk-compat.h |   61 -
 gtksecentry/gtksecentry.c      | 3364 ----------------------------------------
 gtksecentry/gtksecentry.h      |  190 ---
 src/Makefile.am                |    5 +-
 src/ka-dialog.c                |    1 -
 src/ka-entry-buffer.c          |  229 +++
 src/ka-entry-buffer.h          |   58 +
 src/ka-pwdialog.c              |   18 +-
 src/ka-pwdialog.h              |    2 +-
 12 files changed, 300 insertions(+), 3645 deletions(-)

commit 78e3cbe853b988e6d3fb002a6d9102f39bb19d7f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 5 14:30:09 2010 +0200

    Add "Get Ticket" button to pop notifications
    
    this makes us less dependant on the tray icon.

 src/ka-applet.c | 37 ++++++++++++++++++++++++++++++++-----
 1 file changed, 32 insertions(+), 5 deletions(-)

commit 19427a839f90f2e30c0184c4ee90d1fe26c7017c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 5 13:11:57 2010 +0200

    Fix translated strings

 src/ka-applet.c | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 459ef5f45d99d8b2a27a7618942920dbc29918b6
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 5 12:56:52 2010 +0200

    Add indent expression

 CodingStyle | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 6da93e8ccce3ad5a020027854317115d89cb46ab
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Oct 5 12:52:35 2010 +0200

    Reindent

 src/ka-applet.c | 1273 +++++++++++++++++++++++++++----------------------------
 1 file changed, 634 insertions(+), 639 deletions(-)

commit b780009127e58ced43eb49e6f8f6e00a114c59c3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Sep 30 10:01:49 2010 +0200

    Add CodingStyle for new code

 CodingStyle | 13 +++++++++++++
 Makefile.am |  1 +
 2 files changed, 14 insertions(+)

commit 1807b5c43f84a2fde21c27353688dbb6cc235e0f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Sep 30 09:30:23 2010 +0200

    Use NMClient GObject
    
    instead of the deprecated libnm_glib_* functions

 src/ka-dialog.c | 80 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 39 insertions(+), 41 deletions(-)

commit 174d4d3582a6b36b94b7b282a805440b76a017e3
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Sep 22 21:48:14 2010 +0200

    [i18n] Updated German doc translation

 help/de/de.po | 228 ++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 143 insertions(+), 85 deletions(-)

commit 7c9386dbac2fee761a09044158c8cdccd742310a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Sep 12 13:59:10 2010 +0200

    Release 0.17

 NEWS         | 18 ++++++++++++++++--
 configure.ac |  2 +-
 2 files changed, 17 insertions(+), 3 deletions(-)

commit 120f97bae3d0699507e4ed58dcfead5ae0f7a0f0
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 19 11:19:24 2010 +0200

    Updated French translation

 po/fr.po | 71 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 38 insertions(+), 33 deletions(-)

commit 6451f9f6918349c57286d403efaea64b3c393a65
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Aug 12 17:40:56 2010 +0200

    Add GPLv2
    
    BZ: #626734

 .gitignore |   1 -
 COPYING    | 339 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 339 insertions(+), 1 deletion(-)

commit 52e1e89bda7e75d1489bbc0e2759cca52ec467a9
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Wed Aug 11 19:33:28 2010 +0800

    Add Simplified Chinese translation.

 po/LINGUAS  |    1 +
 po/zh_CN.po | 1719 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1720 insertions(+)

commit 70dfcaaa9e32180afa13fded9768319766b76b18
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Thu Aug 5 14:59:39 2010 +0200

    Updated Slovenian translation

 po/sl.po | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit cadac4c29c956d59c8253fe0d9906979d0c3f69d
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Jul 31 18:54:07 2010 +0200

    Updated Slovenian translation

 po/sl.po | 112 +++++++++++++++------------------------------------------------
 1 file changed, 26 insertions(+), 86 deletions(-)

commit 85f1fa074112da0a48b1c610ce63d4d495000d73
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jul 29 12:24:44 2010 +0200

    Add --with-gtk
    
    to select the GTK+ version used. Code taken from gtk-vnc.

 configure.ac | 37 +++++++++++++++++++++++++++++--------
 1 file changed, 29 insertions(+), 8 deletions(-)

commit 45f476929622b14a210dd8c6b493506a4f2889a9
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Jul 28 17:15:43 2010 +0200

    Updated Spanish translation

 po/es.po | 74 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 40 insertions(+), 34 deletions(-)

commit ecb0378e02aa2a83ea00568e1215d6c804b140f3
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Jul 27 00:23:46 2010 +0200

    [i18n] Updated German translation

 po/de.po | 64 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 27b83b9fc2608cb9083802255787bac1433e17e7
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jul 26 13:23:35 2010 +0200

    Mark string for translation
    
    Thanks: Petter Reinholdtsen

 src/ka-applet.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6a8adf873c988c3e53fdeafc1b50a73bf17e3ec
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Sun Jul 25 22:19:03 2010 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 96 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 46 insertions(+), 50 deletions(-)

commit 9d7f07ffca8a046ec8f049b6c560febbd83509c2
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jul 7 17:31:57 2010 +0200

    Add simple AFS plugin
    
    that calls aklog or afslog if available.

 plugins/Makefile.am     |  17 ++++++++
 plugins/ka-plugin-afs.c | 114 ++++++++++++++++++++++++++++++++++++++++++++++++
 plugins/ka-plugin-afs.h |  50 +++++++++++++++++++++
 3 files changed, 181 insertions(+)

commit 6ec57fd83f9b5604dc377d319e847e02c3bb76a0
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jul 7 17:28:12 2010 +0200

    Reindent plugins

 plugins/ka-plugin-dummy.c | 65 +++++++++++++++++------------------
 plugins/ka-plugin-dummy.h | 13 ++-----
 plugins/ka-plugin-pam.c   | 86 +++++++++++++++++++++++------------------------
 plugins/ka-plugin-pam.h   | 15 ++-------
 4 files changed, 80 insertions(+), 99 deletions(-)

commit e8232134f1ced866a56270ef4dc36fe29480c97d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jul 7 11:07:44 2010 +0200

    Fail if we can't find krb5-config

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit ddc529abe4b82c9b02731458aade48d67ac7f4d0
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Jul 4 22:02:03 2010 +0200

    Updated French translation

 po/fr.po | 99 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 54 insertions(+), 45 deletions(-)

commit d7946754b453e4facaa03ddf3c6be41333f06244
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jun 30 21:46:31 2010 +0200

    Use cairo_region_t instead of GdkRegion
    
    the later doesn't exist in GTK+3

 gtksecentry/gtksecentry.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit a21b7971a3988e2fd6d882eaa794db12dcdc5436
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jun 30 16:09:21 2010 +0200

    Bump dependencies for GNOME 3.0

 configure.ac | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 255e796fbd5704ce8bd9df09a08f33d7ff8417ab
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 29 18:14:52 2010 +0200

    Release 0.16

 NEWS         | 15 +++++++++++++++
 configure.ac |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 71809f1d4372da6ba62c2d678063f006746d07cb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jun 18 20:55:06 2010 +0200

    Make sure my_creds is properly initialized so freeing doesn't dump core

 src/ka-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1eadac644636641ff28e0abe9b6701cecee39dbb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jun 18 20:25:23 2010 +0200

    Move free'ing functions together

 src/ka-dialog.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4743967cb6b3655250b121461812e95934912350
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jun 18 19:42:46 2010 +0200

    No need to fill opts when we're not using them
    
    so ka_set_ticket_options can go too.

 src/ka-dialog.c | 44 --------------------------------------------
 1 file changed, 44 deletions(-)

commit e91acf3273856f07a594403109ddc8edbdad651e
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jun 18 19:37:41 2010 +0200

    Free my_creds unconditionally
    
    to avoid leaks.

 src/ka-dialog.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 26c5f6ebd9f205418a159887fbde6cba66623622
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jun 7 18:51:56 2010 +0200

    Drop Encoding=UTF-8 from desktop file

 src/krb5-auth-dialog.desktop.in | 1 -
 1 file changed, 1 deletion(-)

commit 88a05524474ebbc363167714246c7c3cfde57463
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Jun 6 19:16:25 2010 +0200

    Handle errors from notify_notification_close

 src/ka-applet.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 20f96e0a3c7384feadc29c1ac8b8434743b9fdca
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Jun 6 18:01:23 2010 +0200

    Update file rename in note to translators

 src/dummy-strings.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 379d47bb6deb1771007235408abf2140ca33dd7b
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Sun Jun 6 17:59:12 2010 +0200

    Update nb translation

 po/nb.po | 1009 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 457 insertions(+), 552 deletions(-)

commit 7a7832ce3a7c4adffca663fd5298ac76a47abf27
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Jun 6 17:56:38 2010 +0200

    Explain howto create a pot file

 README | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 5f6d0ea21bc5dab47acd8f478cf866b2dbd084b5
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 5 16:54:30 2010 +0200

    Check for libnm-glib instead of libnm_glib
    
    Debian Bug http://bugs.debian.org/569319

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61cc98a71b711bad8336a9863ca64a2c6d53875a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 5 16:21:00 2010 +0200

    Drop -Wstrict-prototypes
    
    since the GTK+ header's issue a warning:
        gtkitemfactory.h:47: warning: function declaration isn’t a prototype
    making us overlook real erros.

 acinclude.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5da354a13041ade8f969a78b351294337e131d99
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 5 15:25:17 2010 +0200

    Unref file monitor

 src/ka-dialog.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 6e0435e8b67c845f717f17c7403fb1edf797dfb9
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 5 14:51:50 2010 +0200

    Use g_warning instead of g_print on gconf errors

 src/ka-gconf-tools.c | 10 +++++-----
 src/ka-gconf.c       |  4 ++--
 2 files changed, 7 insertions(+), 7 deletions(-)

commit e3bf7f23494478e5225229ea099edc2f52297c7c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 5 14:46:26 2010 +0200

    Use g_clear_error (&error) instead of g_error_free (error)
    
    so we don't have to check if error is set.

 preferences/ka-preferences.c |  2 +-
 src/ka-applet.c              |  4 ++--
 src/ka-dialog.c              |  5 ++---
 src/ka-gconf-tools.c         | 10 +++++-----
 src/ka-gconf.c               |  2 +-
 src/ka-tools.c               |  2 +-
 6 files changed, 12 insertions(+), 13 deletions(-)

commit d4e12192f046c13402a6c258cc669bb13284945f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun May 23 02:39:26 2010 +0200

    Updated Galician translations

 po/gl.po | 159 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 99 insertions(+), 60 deletions(-)

commit 510d24160ce166a4b3c6dd31d06dc03594bb4a0a
Author: Christian.Kirbach <Christian.Kirbach@googlemail.com>
Date:   Fri May 21 09:43:17 2010 +0200

    Updated German translation

 po/de.po | 131 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 69 insertions(+), 62 deletions(-)

commit 6fe2410819a2c0e2810065a34430e0e9c638cede
Author: Matthew L. Dailey <matthew.l.dailey@dartmouth.edu>
Date:   Sun May 16 16:35:48 2010 +0200

    Don't consider credentials renewable unless the renew_till time is later than the current expiry

 src/ka-dialog.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 8a5129030c4bb993a41ed685e653f17579849d33
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat May 8 15:44:10 2010 +0200

    Add gseal-gtk-compat.h from gedit
    
    and add missing accessors so we can build gtksecentry with GTK+ down to
    2.12.
    
    See https://bugs.g10code.com/gnupg/issue1224

 gtksecentry/Makefile.am        |  7 ++++-
 gtksecentry/gseal-gtk-compat.h | 61 ++++++++++++++++++++++++++++++++++++++++++
 gtksecentry/gtksecentry.h      |  1 +
 3 files changed, 68 insertions(+), 1 deletion(-)

commit 26633cb549efb6743b115cc95502df6f3475c5cb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu May 6 19:29:29 2010 +0200

    Make gtksecentry -DSEAL safe
    
    See https://bugs.g10code.com/gnupg/issue1224

 gtksecentry/gtksecentry.c | 193 +++++++++++++++++++++++++++-------------------
 1 file changed, 112 insertions(+), 81 deletions(-)

commit 80e64ae643ecdcf70e08302ba0b3ef52271cc647
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat May 8 14:38:09 2010 +0200

    Make -DSEAL safe

 src/ka-pwdialog.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 85cbdef98a2fcb1d2480db9b0783d08c4efbe889
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed May 5 17:51:21 2010 +0200

    Set window_position to center-always
    
    so we're centered on the screen instead of ending up in the top left
    corner.

 src/krb5-auth-dialog.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9a1e5a769be82454c134ca189a274af13b561d79
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue May 4 07:30:38 2010 +0200

    Check for PAM libs
    
    and auto enable PAM plugin if found.

 configure.ac | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit cc597ad513a935902830c1d25e282c202176d6ec
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun May 2 12:13:34 2010 +0200

    Updated German translation

 po/de.po | 116 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 60 insertions(+), 56 deletions(-)

commit c81ecf1285f1bd9c5a2688d071731ccbc5b30cc5
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sun May 2 11:43:13 2010 +0200

    Updated Slovenian translation

 po/sl.po | 126 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 67 insertions(+), 59 deletions(-)

commit 0752fea0ab5ce01f50b2483f0d10ea61b324539b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 21:27:06 2010 +0200

    Rename KRB5_AUTH_* to KA_* in headers

 src/ka-applet-priv.h | 4 ++--
 src/ka-dbus.h        | 6 +++---
 src/ka-dialog.h      | 4 ++--
 src/ka-gconf-tools.h | 4 ++--
 src/ka-gconf.h       | 4 ++--
 src/ka-pwdialog.h    | 4 ++--
 src/ka-tickets.h     | 4 ++--
 src/ka-tools.h       | 4 ++--
 8 files changed, 17 insertions(+), 17 deletions(-)

commit 5b57a60b197877630b4d3427f4337b11701e2e0a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 20:59:07 2010 +0200

    Update potfile names too

 po/POTFILES.in | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 2a2b10c6d55ae13dbc4c0474005673950bf97f45
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:48:14 2010 +0200

    Rename krb5-auth-applet.[ch]
    
    Rename krb5-auth-applet.h to ka-applet-priv.h since these parts
    shouldn't be used by modules.

 src/Makefile.am        |   4 +-
 src/ka-applet-priv.h   |  72 ++++
 src/ka-applet.c        | 942 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-dbus.c          |   2 +-
 src/ka-dbus.h          |   2 +-
 src/ka-dialog.c        |   2 +-
 src/ka-dialog.h        |   2 +-
 src/ka-gconf.c         |   2 +-
 src/ka-gconf.h         |   2 +-
 src/ka-plugin-loader.c |   2 +-
 src/ka-pwdialog.c      |   2 +-
 src/krb5-auth-applet.c | 943 -------------------------------------------------
 src/krb5-auth-applet.h |  70 ----
 13 files changed, 1024 insertions(+), 1023 deletions(-)

commit 8ddcf3681b8a9a06a50b570497d9d49562cf9cfb
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:45:06 2010 +0200

    Rename krb5-auth-dialog.[ch] to ka-dialog.[ch]
    
    krb5-auth-dialog rename fix

 autogen.sh             |    2 +-
 configure.ac           |    2 +-
 src/Makefile.am        |    4 +-
 src/ka-dbus.c          |    2 +-
 src/ka-dialog.c        | 1171 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-dialog.h        |   32 ++
 src/ka-pwdialog.c      |    2 +-
 src/ka-tickets.c       |    2 +-
 src/krb5-auth-applet.c |    2 +-
 src/krb5-auth-dialog.c | 1171 ------------------------------------------------
 src/krb5-auth-dialog.h |   33 --
 11 files changed, 1211 insertions(+), 1212 deletions(-)

commit 01f5263f9eb76a11fb1c1207a323973e3b7c5efe
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:35:28 2010 +0200

    Reneme krb5-auth-applet-dbus.xml to ka-dbus.xml

 src/.gitignore                |  2 +-
 src/Makefile.am               |  8 ++++----
 src/ka-dbus.c                 |  2 +-
 src/ka-dbus.xml               | 30 ++++++++++++++++++++++++++++++
 src/krb5-auth-applet-dbus.xml | 31 -------------------------------
 5 files changed, 36 insertions(+), 37 deletions(-)

commit 26cfffab3ee5795c6216c31dd8030958fb20a01c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:30:13 2010 +0200

    Rename krb5-auth-pwdialog.[ch] to ka-pwdialog.[ch]

 src/Makefile.am          |   4 +-
 src/ka-pwdialog.c        | 309 ++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-pwdialog.h        |  65 ++++++++++
 src/krb5-auth-applet.h   |   2 +-
 src/krb5-auth-dialog.c   |   2 +-
 src/krb5-auth-pwdialog.c | 310 -----------------------------------------------
 src/krb5-auth-pwdialog.h |  65 ----------
 7 files changed, 378 insertions(+), 379 deletions(-)

commit ef9bb4179fba5c7fb77a2908aa618b0a204e518a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:27:54 2010 +0200

    Rename krb5-auth-gconf.[ch] to ka-gconf.[ch]

 src/Makefile.am        |   4 +-
 src/ka-gconf.c         | 211 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-gconf.h         |  29 +++++++
 src/krb5-auth-applet.c |   2 +-
 src/krb5-auth-gconf.c  | 211 -------------------------------------------------
 src/krb5-auth-gconf.h  |  29 -------
 6 files changed, 243 insertions(+), 243 deletions(-)

commit 2e6c29f113947f03b096e5f15c609712eaa01f4d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:26:13 2010 +0200

    Rename krb5-auth-dialog-preferences.[ch] to ka-preferences.[ch]

 preferences/Makefile.am                    |   2 +-
 preferences/ka-preferences.c               | 843 +++++++++++++++++++++++++++++
 preferences/krb5-auth-dialog-preferences.c | 843 -----------------------------
 3 files changed, 844 insertions(+), 844 deletions(-)

commit 26f51d8504f5ceaca538fbdb9dc0e94f74176a51
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:24:45 2010 +0200

    Rename krb5-auth-gconf-tools.[ch] to ka-gconf-tools.[ch]

 preferences/Makefile.am                    |   4 +-
 preferences/krb5-auth-dialog-preferences.c |   2 +-
 src/Makefile.am                            |   4 +-
 src/ka-gconf-tools.c                       | 149 ++++++++++++++++++++++++++++
 src/ka-gconf-tools.h                       |  48 +++++++++
 src/ka-plugin-loader.c                     |   2 +-
 src/krb5-auth-applet.c                     |   2 +-
 src/krb5-auth-gconf-tools.c                | 150 -----------------------------
 src/krb5-auth-gconf-tools.h                |  48 ---------
 src/krb5-auth-gconf.c                      |   2 +-
 10 files changed, 205 insertions(+), 206 deletions(-)

commit 7a282065467e986c3d0483be9720ca863d93c8e5
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 28 17:12:13 2010 +0200

    Rename krb5-auth-dbus.[ch] to ka-dbus.[ch]

 src/Makefile.am        |   4 +-
 src/ka-dbus.c          | 119 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-dbus.h          |  37 +++++++++++++++
 src/krb5-auth-dbus.c   | 120 -------------------------------------------------
 src/krb5-auth-dbus.h   |  37 ---------------
 src/krb5-auth-dialog.c |   2 +-
 6 files changed, 159 insertions(+), 160 deletions(-)

commit 7b20693fbe233fa6832bfa734f603cc46c3a5a72
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 27 22:27:21 2010 +0200

    Rename krb5-auth-tools.[ch] to ka-tools.[ch]

 preferences/Makefile.am                    |  4 +--
 preferences/krb5-auth-dialog-preferences.c |  2 +-
 src/Makefile.am                            |  4 +--
 src/ka-tools.c                             | 57 +++++++++++++++++++++++++++++
 src/ka-tools.h                             | 32 +++++++++++++++++
 src/krb5-auth-applet.c                     |  2 +-
 src/krb5-auth-dialog.c                     |  2 +-
 src/krb5-auth-tools.c                      | 58 ------------------------------
 src/krb5-auth-tools.h                      | 33 -----------------
 9 files changed, 96 insertions(+), 98 deletions(-)

commit a437955775ad6d795ba206ec178a57255201399f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 27 22:23:21 2010 +0200

    Rename krb5-auth-tickets.[ch] to ka-tickets.[ch]

 src/Makefile.am         |   4 +-
 src/ka-tickets.c        | 115 +++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-tickets.h        |  39 ++++++++++++++++
 src/krb5-auth-applet.c  |   2 +-
 src/krb5-auth-dialog.c  |   2 +-
 src/krb5-auth-tickets.c | 116 ------------------------------------------------
 src/krb5-auth-tickets.h |  39 ----------------
 7 files changed, 158 insertions(+), 159 deletions(-)

commit a3189fbe66795304751520338bf4b8013f5928bf
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Apr 28 08:26:55 2010 +0200

    Updated Spanish translation

 po/es.po | 81 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 45 insertions(+), 36 deletions(-)

commit 2d268123bb3c69bae947cb2a9bae0d54e7af0e32
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Apr 26 22:38:51 2010 +0200

    Document plugin gconf keys

 README | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 3501a11b57a3ea7d43282262ab6768c5a397dba0
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Apr 25 09:43:42 2010 +0200

    Load plugins from gconf
    
    and deactivate them on loader disposal.

 src/ka-plugin-loader.c          | 85 +++++++++++++++++++++++++++++++----------
 src/krb5-auth-dialog.schemas.in | 13 +++++++
 src/krb5-auth-gconf-tools.h     |  1 +
 src/krb5-auth-gconf.c           |  5 ++-
 4 files changed, 81 insertions(+), 23 deletions(-)

commit 0c5190a9f2161ab25f6081d6e179b4e6317954fa
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 20 22:23:01 2010 +0200

    Add simple PAM plugin
    
    BZ: #347034

 configure.ac            |  28 ++++++++++-
 plugins/Makefile.am     |  26 ++++++++++
 plugins/ka-plugin-pam.c | 128 ++++++++++++++++++++++++++++++++++++++++++++++++
 plugins/ka-plugin-pam.h |  59 ++++++++++++++++++++++
 4 files changed, 239 insertions(+), 2 deletions(-)

commit b2956aa5a9a2e7de4fe9844cba54427f2d53de4c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 20 22:23:30 2010 +0200

    Add dummy plugin
    
    as example for new plugins.

 Makefile.am               |   2 +-
 configure.ac              |   1 +
 plugins/.gitignore        |   3 ++
 plugins/Makefile.am       |  23 ++++++++++
 plugins/ka-plugin-dummy.c | 105 ++++++++++++++++++++++++++++++++++++++++++++++
 plugins/ka-plugin-dummy.h |  57 +++++++++++++++++++++++++
 6 files changed, 190 insertions(+), 1 deletion(-)

commit 69ce38151c7a08fe980d981108c782762bf72e81
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 20 22:21:54 2010 +0200

    Add plugin infrastructure

 configure.ac           |  10 ++-
 src/Makefile.am        |   7 +++
 src/ka-plugin-loader.c | 161 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-plugin-loader.h |  58 ++++++++++++++++++
 src/ka-plugin.c        | 133 ++++++++++++++++++++++++++++++++++++++++
 src/ka-plugin.h        |  75 +++++++++++++++++++++++
 src/krb5-auth-applet.c |  10 ++-
 7 files changed, 452 insertions(+), 2 deletions(-)

commit a7f0bdf074c437f98dffd4541d4e6426202e1d69
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Apr 25 09:42:54 2010 +0200

    Add getter for gconf client

 src/krb5-auth-applet.c | 6 ++++++
 src/krb5-auth-applet.h | 2 ++
 2 files changed, 8 insertions(+)

commit 14c574f60f33f03b5c92b902479bfd1cd3d95b12
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Apr 24 22:28:29 2010 +0200

    Add gconf helper to fetch a list of strings

 src/krb5-auth-gconf-tools.c | 24 ++++++++++++++++++++++++
 src/krb5-auth-gconf-tools.h |  1 +
 2 files changed, 25 insertions(+)

commit 07748e8cd58c014c4577806350b3d7c3e61647a8
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Apr 10 10:26:00 2010 +0200

    Move KaApplet into a separate header
    
    so the headers used by plugins are self contained.

 src/Makefile.am        |  1 +
 src/ka-applet.h        | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-applet.h | 21 ++-------------------
 3 files changed, 51 insertions(+), 19 deletions(-)

commit 92c76a9c50169a5b06129c8b2bba88a5d4853030
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 22 08:18:08 2010 +0200

    Send a tgt-renewed signal if the ticket lifetime gets extended
    
    This way we also send a singal if the user extends the ticket liftetime
    by reentering his password of by running kinit on the console.

 src/krb5-auth-applet.c | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit d81f5f55376ecc9b8a64c58122ab69a0142105a8
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Apr 21 21:26:55 2010 +0200

    Add correct closures for signals

 src/Makefile.am        |   2 +
 src/ka-closures.c      | 105 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ka-closures.h      |  38 ++++++++++++++++++
 src/krb5-auth-applet.c |   3 +-
 4 files changed, 147 insertions(+), 1 deletion(-)

commit 3e82c4e2113c3c9b1246fe56c4e1851c180e6d07
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Apr 17 17:35:35 2010 +0200

    Minor autoconf/automake cleanups

 configure.ac         | 10 +++++-----
 examples/Makefile.am |  5 ++++-
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 13f243879a2c4f77d5f48611461324f7338199a2
Author: Olav Vitters <olav@vitters.nl>
Date:   Sun Apr 18 12:12:05 2010 +0200

    Fix doap file

 krb5-auth-dialog.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 909f8e6b51ce70d07a26d9b7d4c8c6ab2ec1d66e
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Apr 11 16:32:04 2010 +0200

    Updated Spanish translation

 po/es.po | 64 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 275ce728387cda5c2c32ed396b22de81586f4713
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Apr 11 16:01:01 2010 +0200

    Updated Spanish translation

 po/es.po | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit c69b7aed3f4a7801bdded38d3b3cc5d2ab33baad
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Apr 3 17:32:31 2010 +0200

    Release 0.15

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 16be06e1fd924f3792eb419324ecd816e61c5175
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Apr 3 17:34:59 2010 +0200

    About README

 README | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit c374a7f8dbe6ef40c65752e3f35635d50d6b9260
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 2 16:39:37 2010 +0200

    Add simple DBUS signal listener example

 Makefile.am             |  2 +-
 configure.ac            |  1 +
 examples/Makefile.am    |  2 ++
 examples/tgt-signals.py | 76 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 80 insertions(+), 1 deletion(-)

commit af7a2fe7f99c59c454624c0ddea2e6e59d33edb5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Apr 3 10:02:12 2010 +0200

    Updated Slovenian translation

 po/sl.po | 1120 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 590 insertions(+), 530 deletions(-)

commit 6657dffa9acf9bd9bc360709cc0b5d6a855df05a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 2 16:13:56 2010 +0200

    Wire up ka_pwdialog_finalize

 src/krb5-auth-pwdialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit a1212c22e083c0d7c6a957e18c839426def29bbd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 2 14:28:41 2010 +0200

    Update .gitignore files

 .gitignore             | 1 +
 help/.gitignore        | 4 +++-
 preferences/.gitignore | 1 +
 3 files changed, 5 insertions(+), 1 deletion(-)

commit f5940e34ffa6e42065a50273c9967f3c6c77fc5e
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Mar 25 21:41:18 2010 +0100

    Send DBUS signals on ticket acquisition, expiery and renewal
    
    allows external helpers to perform actions like running aklog.

 src/krb5-auth-applet-dbus.xml | 12 +++++++++++
 src/krb5-auth-applet.c        | 48 +++++++++++++++++++++++++++++++++++++++++--
 src/krb5-auth-applet.h        | 10 +++++++++
 src/krb5-auth-dialog.c        | 32 +++++++++++++++++++++++++++--
 src/krb5-auth-dialog.h        |  1 +
 5 files changed, 99 insertions(+), 4 deletions(-)

commit 8bf5bd61f7d5242f76ec0e73f40a013cfa01acad
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Fri Apr 2 15:49:45 2010 +0300

    Updated Ukrainian translation

 po/uk.po | 92 +++++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 71 insertions(+), 21 deletions(-)

commit ad5b2afd22bdf5e0af02c5de08b046671ce2b2bc
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Mar 21 19:38:35 2010 +0100

    Add Czech translation by Zdenek Hatas

 po/LINGUAS |    1 +
 po/cs.po   | 1691 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1692 insertions(+)

commit 27f584e90fb965aac0101dac23cd91e2304ee5c7
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 20 17:41:27 2010 +0100

    Use gtk_status_icon_set_tooltip_text
    
    instead of the deprecated gtk_status_icon_set_tooltip

 src/krb5-auth-applet.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 99af82aa7cdd7958314e6ecec22409155529f369
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Mar 20 17:36:02 2010 +0100

    Set icon name
    
    to help screenreaders

 src/krb5-auth-applet.c | 1 +
 1 file changed, 1 insertion(+)

commit b95c26ebb9b57b813469ba15e78ba8fe2853de1c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 20 09:49:45 2010 +0100

    Updated Spanish translation

 po/es.po | 27 +++++++++++++--------------
 1 file changed, 13 insertions(+), 14 deletions(-)

commit 1be6b136ed491636e91ee0a3a05ae2a63ff33507
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Thu Feb 18 13:50:16 2010 +0100

    Updated Slovenian translation

 po/sl.po | 38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit ac8611db0d9be2280e95fd654d57843868df2b39
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 15 17:30:26 2009 +0200

    Mark pk_userid and pk_anchors as G_GNUC_UNUSED
    
    they're only used with MIT Kerberos.

 src/krb5-auth-dialog.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 221ec2732acc5ac58ceaf67101614d8115268e14
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Feb 7 02:32:24 2010 +0100

    Enable silent build rules
    
    if available

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 592dc35e911170e58ba6698925ec664b20ca1abc
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 4 19:02:13 2010 +0100

    Ignore SCC (sqlite) cache type
    
    since we'd need to monitor the db journal etc. too.

 src/krb5-auth-dialog.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 852e24e50d9f68c8458f14f62a38ada86a0084a1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jan 4 21:44:36 2010 +0100

    Fix build without libnotify

 src/krb5-auth-applet.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e88520e03c0e45f12a23d2bb6fed1047b6b8bd9
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Thu Feb 4 19:14:53 2010 +0100

    Updated Slovenian translation

 po/sl.po | 153 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 65 insertions(+), 88 deletions(-)

commit 5a6c2e68fbfdd873d1a7d0fe3de7352393bf70df
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jan 23 20:29:14 2010 +0100

    Added sl for Slovenian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 6c4fbabe9bb09a74478e9d41886ec0b7ebf7b631
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Jan 23 20:29:08 2010 +0100

    Updated Slovenian translation

 po/sl.po | 1731 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1731 insertions(+)

commit 8e5d97848b68f0972bfc2f4b09cc950ade602173
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 12:25:49 2009 +0100

    Added Spanish translation

 po/es.po | 65 ++++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 47 insertions(+), 18 deletions(-)

commit 81ece99bdcb17748e3ece5bb48e4902cf1224899
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Nov 1 19:19:45 2009 +0100

    release 0.14

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 4fd24944efbe31f89cbb9384e8dc02f7dcbc82fc
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Oct 28 07:43:42 2009 +0100

    Change seriesid to something unique
    
    BZ: #599725

 help/krb5-auth-dialog.omf.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2620a7e910dfad2efdaf48c2c61587d42c887ac5
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Oct 19 23:26:42 2009 +0200

    Updated German translation

 po/de.po | 850 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 464 insertions(+), 386 deletions(-)

commit 4b6bf54f2f34e417619e4785af3fe110494f0bec
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Oct 16 23:53:53 2009 +0200

    Updated French translation

 po/fr.po | 807 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 390 insertions(+), 417 deletions(-)

commit f7da4928083f811897e7cd938ea331d18926f7b2
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Oct 9 19:49:06 2009 +0200

    make error dialog appear in the window list
    
    so it can still be closed if another window moves over it.

 src/krb5-auth-pwdialog.c | 47 +++++++++++++++++++++++++++++++++--------------
 1 file changed, 33 insertions(+), 14 deletions(-)

commit 17f830245d522db0b950de993ff3e3fed5b56846
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 29 14:08:50 2009 +0200

    Add manpage for krb5-auth-dialog-preferences

 configure.ac                                  |  1 +
 preferences/Makefile.am                       |  2 ++
 preferences/krb5-auth-dialog-preferences.1.in | 22 ++++++++++++++++++++++
 3 files changed, 25 insertions(+)

commit 545556973cfcc5bb033a5f32592e7da958566722
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 29 13:36:19 2009 +0200

    Use gtk_window_present instead of gtk_show_widget
    
    so the dialog is pushed into the foreground when selected from the menu.

 src/krb5-auth-tickets.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit beefba604239fbfb9ea4399af1c93139ad5b8bac
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 29 13:33:41 2009 +0200

    Add some ticket flags to the dialog

 src/krb5-auth-dialog.c  |  9 +++++++++
 src/krb5-auth-tickets.c | 41 ++++++++++++++++++++++++++++++++---------
 src/krb5-auth-tickets.h |  3 +++
 3 files changed, 44 insertions(+), 9 deletions(-)

commit 66006c1a43fbb831d6c98914f7f0711dd4fcdd21
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 29 12:34:46 2009 +0200

    Make ticket dialog non resizable
    
    This makes sure window managers like maximus don't try to automaxmize
    the dialog.

 src/krb5-auth-dialog.xml | 1 +
 1 file changed, 1 insertion(+)

commit 64a5d362a0e5a615512e5a2fe3d2b8123c076e93
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 28 18:35:14 2009 +0200

    release 0.13

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 219b476f87afdabf57ab1ce2b715b3c343534e35
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 28 18:40:30 2009 +0200

    add src/krb5-auth-tickets.c

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 126657ebfddb23aa3e3aa18f25f4afae00ecc24d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Sep 17 00:33:57 2009 +0200

    check for krb5_free_error_message
    
    and make krb5_get_error_message mandatory. Fixes build with MIT
    Kerberos.

 configure.ac           |  5 ++++-
 src/krb5-auth-dialog.c | 20 ++++++++++++++++----
 2 files changed, 20 insertions(+), 5 deletions(-)

commit 255e2f0945151be86d97ba25d97bad4fd51344c4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 15 18:30:04 2009 +0200

    warn on unsupported cache types

 src/krb5-auth-dialog.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit ccaf4225dd658c84bef222cc530cc8d21069cd72
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 20 15:33:24 2009 +0200

    Updated Spanish translation

 po/es.po | 62 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 43 insertions(+), 19 deletions(-)

commit 78bed43978ec8d943abc0e55e9431a229fdc319e
Author: Fran Diéguez <fran.dieguez@glug.es>
Date:   Tue Sep 15 23:17:09 2009 +0200

    Updated Galician tRanslation

 po/gl.po | 74 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 46 insertions(+), 28 deletions(-)

commit 485b914708dfe900d83fe0082506a2cad2b35b02
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 15 14:24:28 2009 +0200

    add list of current tickets dialog

 src/Makefile.am          |   2 +
 src/krb5-auth-applet.c   |  18 +++++++-
 src/krb5-auth-dialog.c   | 112 ++++++++++++++++++++++++++++++++++++++++++++---
 src/krb5-auth-dialog.h   |   1 +
 src/krb5-auth-dialog.xml |  62 ++++++++++++++++++++++++++
 src/krb5-auth-tickets.c  |  93 +++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-tickets.h  |  36 +++++++++++++++
 7 files changed, 316 insertions(+), 8 deletions(-)

commit 43ff324576e600ccf4b06be74282791d89b220e4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 15 15:02:08 2009 +0200

    plug error message memory leak
    
    BZ: #538225

 src/krb5-auth-dialog.c | 44 ++++++++++++++++++++++++++++++--------------
 1 file changed, 30 insertions(+), 14 deletions(-)

commit 5f2bb056c67528a3c0172131e8f6b7da12ed7fa6
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 7 19:19:20 2009 +0200

    prefs dialog launch error handling

 src/krb5-auth-applet.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 3b00f2ad157ca80259c24e5490bea6fee7927eaa
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Sep 7 17:04:44 2009 +0200

    enhance error message for UI xml loading

 src/krb5-auth-applet.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 68e5f7a533f46a1fd7e81056595c3d32ca6e4f9f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Sep 15 14:20:57 2009 +0200

    fix email address typos

 preferences/krb5-auth-dialog-preferences.c | 2 +-
 src/krb5-auth-applet.c                     | 2 +-
 src/krb5-auth-dialog.c                     | 2 +-
 src/krb5-auth-tools.c                      | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 7b5c6b54c17f9fbe27a8ffb096690b9dee2fefbd
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Sep 3 19:11:35 2009 +0200

    Complete information for bugbuddy
    
    BZ: #593989

 preferences/krb5-auth-dialog-preferences.desktop.in | 1 +
 src/krb5-auth-dialog.desktop.in                     | 4 +++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit d247ce6bb749fdb84bb6826e66d3d416bc47e68e
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Aug 30 19:06:42 2009 +0200

    remove unused GtkImage with duplicate id
    
    BZ: #593389

 preferences/krb5-auth-dialog-preferences.xml | 4 ----
 1 file changed, 4 deletions(-)

commit 3c780a0aaa80b1a13684592f0bcda802116ea289
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Aug 30 19:04:41 2009 +0200

    enhance error message for UI xml loading

 preferences/krb5-auth-dialog-preferences.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 0a5ebf8c8a68bffc6eb650e268f584bbdfba148c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Aug 9 14:11:19 2009 +0200

    fix icon path for prefs dialog

 preferences/Makefile.am                    | 1 +
 preferences/krb5-auth-dialog-preferences.c | 3 +++
 2 files changed, 4 insertions(+)

commit 4a84a570a4d3b0d1d91a4091a29b36ac5462125b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jul 29 10:29:12 2009 +0200

    clear error on return path

 src/krb5-auth-dbus.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 920564fc9c42567e19b8cfa6d5a2cff271b95c6f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Jul 26 13:36:22 2009 +0200

    check for errors when sending notifications

 src/krb5-auth-applet.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 438f731923c5c1d9d80f63b640323783eb932148
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jul 24 12:26:30 2009 +0200

    free nm and g_option context

 src/krb5-auth-dialog.c | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit 53f36480b82cfd3649bf4488c287112a1d8676f2
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Fri Jul 24 19:36:00 2009 +0200

    Updated Spanish translation

 po/es.po | 82 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 46 insertions(+), 36 deletions(-)

commit 466cd8af9f0fc53556d89680f7892f97f25ca641
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Jul 23 06:28:44 2009 +0800

    Added Traditional Chinese translation (Hong Kong and Taiwan)

 po/LINGUAS  |    2 +
 po/zh_HK.po | 1653 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 1653 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 3308 insertions(+)

commit d1a21b6d78be240061fcbc6e19e7b41167fe2524
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jul 21 20:01:52 2009 +0200

    Updated Spanish translation

 po/es.po | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit 944a5442ea99f894325be774b0767856ea31c7ac
Author: Antón Méixome <meixome@mancomun.org>
Date:   Tue Jul 21 19:09:16 2009 +0200

    Added Galician Translation

 po/LINGUAS |    1 +
 po/gl.po   | 1745 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1746 insertions(+)

commit 7e3239c48ce4d843f6569ccea1393a5c773e9cde
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 19 21:09:39 2009 +0200

    Updated Spanish translation

 po/es.po | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 290fd41d7848602f233ed90cf4b8862dd29b6158
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 19 13:15:18 2009 +0200

    Updated Spanish translation

 po/es.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit e27cf0a9b7c4cfe1416dddf9357b57812d82569d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jul 13 17:57:14 2009 +0200

    release 0.12

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 9320ca0d8254d5ce931994eadbc0b6c3dbac97a7
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 12 21:59:49 2009 +0200

    Updated Spanish translation

 po/es.po | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit ef4f8ae34046a6e81d67c3554ed1ce375bdf7678
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 12 13:00:44 2009 +0200

    Updated Spanish translation

 po/es.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit f5b7c656213a924e241f93fd896e66b25df4184d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Jul 9 21:19:31 2009 +0200

    Updated Spanish translation

 help/es/es.po | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit ef074487d5299934241d0b77c4140e6f7c16a823
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Jul 9 21:19:26 2009 +0200

    Updated Spanish translation

 po/es.po | 53 ++++++++++++++++++++++++-----------------------------
 1 file changed, 24 insertions(+), 29 deletions(-)

commit c8ec676ac95a660a532adc12355ae52ed546e367
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Jul 9 11:24:50 2009 +0300

    Updated Ukrainian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit d93881444490f93499f2f7c3404246edc50b5a32
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Jul 9 11:22:08 2009 +0300

    Updated Ukrainian translation

 po/uk.po | 1669 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1669 insertions(+)

commit 0ccbc9f426450aa8840f9166e6c98a48dd4fb54c
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jul 5 11:30:47 2009 +0200

    Updated Spanish translation

 po/es.po | 282 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 156 insertions(+), 126 deletions(-)

commit 1a4aba5b7a71dc913d9ba215b023879766a41b91
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jul 2 14:33:06 2009 +0200

    Make sure we don't show multiple error dialogs
    
    by setting proper parent for the error message dialog and destroying an
    already open one if present.

 src/krb5-auth-applet.h   |  2 ++
 src/krb5-auth-dialog.c   | 33 ++++++++-------------------------
 src/krb5-auth-pwdialog.c | 42 ++++++++++++++++++++++++++++++++++++------
 src/krb5-auth-pwdialog.h |  7 ++++---
 4 files changed, 50 insertions(+), 34 deletions(-)

commit 0755f8e9cb0111c26512c2a5c682adf2df29e4c6
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 16 21:48:48 2009 +0200

    convert to 48x48 png

 icons/48x48/krb-expiring-ticket.png | Bin 3571 -> 4042 bytes
 icons/48x48/krb-no-valid-ticket.png | Bin 3724 -> 4319 bytes
 icons/48x48/krb-valid-ticket.png    | Bin 3383 -> 3885 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)

commit df1827eaf8b54665a34bdaf1b461f41db0bd0fd1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 16 21:46:23 2009 +0200

    Add new scalable icons
    
    to reduce confusion with gtk-dialog-authentication

 icons/scalable/krb-expiring-ticket.svg |  700 +++++++-------------
 icons/scalable/krb-no-valid-ticket.svg | 1108 +++++++++-----------------------
 icons/scalable/krb-valid-ticket.svg    |  297 +++++----
 3 files changed, 708 insertions(+), 1397 deletions(-)

commit 67419082b285bbf7852933a5322aff79637c1e20
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jul 2 13:50:09 2009 +0200

    Explain _("translator-credits")
    
    as propoes by Andre Klapper

 src/krb5-auth-applet.c | 1 +
 1 file changed, 1 insertion(+)

commit f772cc0efe41062fa494f9bf5dabb96993a2575e
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jul 2 13:42:28 2009 +0200

    Don't mark properties as translatable
    
    they're never seen by the user

 gtksecentry/gtksecentry.c | 51 +++++++++++++++++------------------------------
 1 file changed, 18 insertions(+), 33 deletions(-)

commit ffc48dcc8e4328a531f31c8ae11c3151f184add4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Jul 2 13:31:00 2009 +0200

    fix typo
    
    Thanks to Jorge González
    BZ: #587199

 help/C/krb5-auth-dialog.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7678acba9c4f60b7b7342ed52a6a41976e44c74
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jun 22 11:07:15 2009 +0200

    Ease PKINT with smartcard setup
    
    and add filechooser dialog for certificates

 configure.ac                                 |  10 +
 preferences/krb5-auth-dialog-preferences.c   | 160 ++++++++++++++-
 preferences/krb5-auth-dialog-preferences.xml | 281 ++++++++++++++++-----------
 3 files changed, 337 insertions(+), 114 deletions(-)

commit 2ad5e90d3191b417efe36a2a033ce6fab3830e76
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 23 01:57:44 2009 +0200

    add back warning cflags

 preferences/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit d20d7e55ffe1d25c6fa7dc8d2f09ce5e944a26f3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Jun 28 19:01:14 2009 +0200

    switch to automatic ChangeLog generation

 Makefile.am | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit d2f2b4d37d18b83d2aa83741dba3ce27a1678414
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:27:58 2009 +0200

    Added translated figure

 help/es/figures/ka-expired.png | Bin 11304 -> 11279 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c899e5ab5f3c64f26b155632ce4f7c19ed92e984
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:27:49 2009 +0200

    Added translated figure

 help/es/figures/ka-valid.png | Bin 11438 -> 11351 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 9b419a2e31402f443f0b78970964646ccbc7af27
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:24:14 2009 +0200

    Added translated figure

 help/es/figures/ka-valid.png | Bin 0 -> 11438 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit f1c92168c9d145c8bb3696861447942fa32549c6
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:24:07 2009 +0200

    Added translated figure

 help/es/figures/ka-expiring.png | Bin 0 -> 11427 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit d2fc464cbc637db5cf70f98b1c36f6a9938b8a06
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:23:56 2009 +0200

    Added translated figure

 help/es/figures/ka-expired.png | Bin 0 -> 11304 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 8c18e885af80ab7c8db2167058696fe843a7fbf4
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:23:27 2009 +0200

    Updated Spanish translation

 po/es.po | 138 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

commit 9e8e15d419f7b441848b5c57bbf5b3c5138e9ff5
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 15:57:59 2009 +0200

    Updated Spanish translation

 help/es/es.po | 82 ++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 70 insertions(+), 12 deletions(-)

commit eae48680527a04366aebb397ab9453b0801b92ba
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 21 17:41:09 2009 +0200

    Updated Spanish translation

 po/es.po | 65 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 33 deletions(-)

commit e24031b764e6067e91b117344ed2a96274ca3f1e
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 21 12:02:19 2009 +0200

    Added initial Spanish translation

 help/es/es.po | 514 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 514 insertions(+)

commit 7b6d6e6bf498be89c87bdc9ef64b0b2310885f73
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 21 12:01:57 2009 +0200

    Added es to DOC_LINGUAS

 help/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5db10b3a3d99ba04292c6608cfd1d175d0c2b426
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Jun 17 08:11:19 2009 +0200

    Added sv to DOC_LINGUAS

 help/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8de23cd7cc2a4765b49222b82953bb2d4d5e3f63
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Jun 17 08:10:43 2009 +0200

    Added Swedish manual translation

 help/sv/sv.po | 345 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 345 insertions(+)

commit 234fe14a7561561724bb4fb35e9a0d1eb4ea0559
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 13 18:09:22 2009 +0200

    release 0.11

 ChangeLog    |  5 +++++
 NEWS         | 17 +++++++++++++++++
 configure.ac |  2 +-
 3 files changed, 23 insertions(+), 1 deletion(-)

commit 99603d8759be22bb2098e1999ad19b6e32288eaa
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 13 18:22:42 2009 +0200

    update German translation

 po/de.po | 681 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 325 insertions(+), 356 deletions(-)

commit a0740795f106d12b92240f5ccf940335f1416582
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jun 15 17:56:40 2009 +0200

    fix build of German translation

 help/de/de.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9adf604dcea97e9862969863d83d53d3c4bc9ca0
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Jun 15 11:51:17 2009 +0200

    Added German doc translation

 help/Makefile.am |   2 +-
 help/de/de.po    | 519 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 520 insertions(+), 1 deletion(-)

commit 288e248b5853ce0e3fadd4a362ee16e927f13620
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 14 12:32:52 2009 +0200

    Updated Spanish translation

 po/es.po | 588 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 291 insertions(+), 297 deletions(-)

commit 56fcbcd45506de6ae3a5a4f34213949d71180300
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jun 14 11:47:27 2009 +0200

    Updated sv translation (Daniel Nylander)

 po/sv.po | 754 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 349 insertions(+), 405 deletions(-)

commit 73c1baacc5ce8129020940a1789466e1579078c7
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 13 18:18:51 2009 +0200

    fix typo

 ChangeLog                                    | 4 ++++
 preferences/krb5-auth-dialog-preferences.xml | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 5b7392d972f2e4aa9422af61a9bb0ec25f864925
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 13 17:56:09 2009 +0200

    add note for translators

 ChangeLog           | 5 +++++
 etpo/lexer.l        | 6 +++++-
 src/dummy-strings.c | 5 +++++
 3 files changed, 15 insertions(+), 1 deletion(-)

commit 4b6d744ac0b6eecd964bcf41d80d2d272d6c0726
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 13 17:37:45 2009 +0200

    use gtk_image_menu_item_new_from_stock for stock menu entries

 ChangeLog              |  5 +++++
 src/krb5-auth-applet.c | 16 ++++------------
 2 files changed, 9 insertions(+), 12 deletions(-)

commit 199488c4fa804c07b72153ed7100801fc956457f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Jun 13 17:15:26 2009 +0200

    remove generated po/krb5-auth-dialog.pot
    
    BZ: #585635

 ChangeLog               |    6 +
 po/.gitignore           |    1 +
 po/krb5-auth-dialog.pot | 1719 -----------------------------------------------
 3 files changed, 7 insertions(+), 1719 deletions(-)

commit d0b1cc26ae6e77f19fdc03b6b507fef26400011d
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sat Jun 13 13:27:27 2009 +0200

    Updated Spanish translation

 po/es.po | 161 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 83 insertions(+), 78 deletions(-)

commit e5732ce229922e51866ef2c2c001a1f99a4aaf9c
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Jun 13 12:46:16 2009 +0200

    add French translation

 po/LINGUAS |    1 +
 po/fr.po   | 1758 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1759 insertions(+)

commit 6a13af9075e7fc89e5398d747ba9802ccf7eb71d
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Jun 13 12:27:00 2009 +0200

    various string and translation improvements
    
    Typo, translator comments added, removed markup from GTKBuilder
    translatable strings, removed translatable property on stock
    items.

 .../krb5-auth-dialog-preferences.desktop.in        |  2 +-
 preferences/krb5-auth-dialog-preferences.xml       | 54 +++++++++++++---------
 src/krb5-auth-applet.c                             |  1 +
 3 files changed, 33 insertions(+), 24 deletions(-)

commit 71d237dd59141a0bfe0a72f874dc313efbc6bb82
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jun 12 22:54:29 2009 +0200

    update German translation

 po/de.po | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit 4c53e37b1fbde5e11782d354e6a306bc39da9053
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jun 12 22:46:19 2009 +0200

    update po

 po/de.po                | 143 +++++++++++++++++++++++++++++++++---------------
 po/es.po                |  41 +++++++-------
 po/krb5-auth-dialog.pot | 131 ++++++++++++++++++++++++++++++--------------
 po/nb.po                | 143 +++++++++++++++++++++++++++++++++---------------
 po/pa.po                |  43 ++++++++-------
 po/sv.po                | 131 ++++++++++++++++++++++++++++++--------------
 6 files changed, 422 insertions(+), 210 deletions(-)

commit eede48773890ba17d15cfa93eee14cdcb276d1a0
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 2 01:09:04 2009 +0200

    add DBus API to destroy ticket ccache
    
    useful e.g. on laptop suspend

 ChangeLog                     | 12 ++++++++++++
 src/krb5-auth-applet-dbus.xml |  5 +++++
 src/krb5-auth-applet.c        | 24 +++++++++++++++++++-----
 src/krb5-auth-dbus.c          | 22 +++++++++++++++++-----
 src/krb5-auth-dbus.h          |  2 ++
 src/krb5-auth-dialog.c        | 11 +++++++----
 src/krb5-auth-dialog.h        |  2 +-
 7 files changed, 63 insertions(+), 15 deletions(-)

commit 8f9026ca12c76cf2a7e231b545c9ef38d79d364b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed May 27 21:11:16 2009 +0200

    use "translator-credits" as suggested by the GTK+ Reference Manual

 AUTHORS                |  2 ++
 ChangeLog              |  5 +++++
 src/krb5-auth-applet.c | 16 ++++++++--------
 3 files changed, 15 insertions(+), 8 deletions(-)

commit 761fc7a10890afbadab351b6fe6568100403d5f3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Jun 7 17:36:30 2009 +0200

    use krb-valid-ticket icon and friends everywhere
    
    instead of gtk-dialog-authentication. Makes using different icon themes
    easier. Also use icons in notifications.

 ChangeLog                                          | 15 ++++++++++++
 .../krb5-auth-dialog-preferences.desktop.in        |  2 +-
 preferences/krb5-auth-dialog-preferences.xml       |  4 ++--
 src/krb5-auth-applet.c                             | 27 ++++++++++++++++------
 src/krb5-auth-applet.h                             |  2 +-
 src/krb5-auth-dialog.c                             |  7 +-----
 src/krb5-auth-dialog.xml                           |  2 +-
 7 files changed, 41 insertions(+), 18 deletions(-)

commit 6d786408ab2ab10fa9f1daa71595fa5dac3ba29b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed Jun 3 18:19:51 2009 +0200

    add scalable icons and icons at different sizes
    
    and move icons from pkgdatadir to datadir

 ChangeLog                              |   11 +
 configure.ac                           |    3 +
 icons/22x22/Makefile.am                |   10 +
 icons/22x22/krb-expiring-ticket.png    |  Bin 0 -> 1341 bytes
 icons/22x22/krb-no-valid-ticket.png    |  Bin 0 -> 1234 bytes
 icons/22x22/krb-valid-ticket.png       |  Bin 0 -> 1126 bytes
 icons/48x48/Makefile.am                |   10 +
 icons/48x48/krb-expiring-ticket.png    |  Bin 0 -> 3571 bytes
 icons/48x48/krb-no-valid-ticket.png    |  Bin 0 -> 3724 bytes
 icons/48x48/krb-valid-ticket.png       |  Bin 0 -> 3383 bytes
 icons/Makefile.am                      |   21 +-
 icons/krb-expiring-ticket.png          |  Bin 1341 -> 0 bytes
 icons/krb-no-valid-ticket.png          |  Bin 1234 -> 0 bytes
 icons/krb-valid-ticket.png             |  Bin 1126 -> 0 bytes
 icons/scalable/Makefile.am             |   11 +
 icons/scalable/krb-expiring-ticket.svg |  936 ++++++++++++++++++++++
 icons/scalable/krb-no-valid-ticket.svg | 1339 ++++++++++++++++++++++++++++++++
 icons/scalable/krb-valid-ticket.svg    |  557 +++++++++++++
 src/Makefile.am                        |    1 +
 19 files changed, 2890 insertions(+), 9 deletions(-)

commit 137b6ab92e2e5c762e6f36044542abb9dd75406b
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Jun 8 07:01:48 2009 +0530

    updating Translation for Gurmukhi

 po/pa.po | 692 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 351 insertions(+), 341 deletions(-)

commit f359ac03f203f6031a3ad8f620c98bc1047fa43a
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 7 14:12:33 2009 +0200

    Updated Spanish translation

 po/es.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 3ae8633c04b6105150c717a8cdb5befe42dada68
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Thu Jun 4 18:28:53 2009 +0200

    Updated Spanish translation

 po/es.po | 262 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 132 insertions(+), 130 deletions(-)

commit 35709df0b2719af477c7052a033e3188dd3c659c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jun 1 21:27:39 2009 +0200

    launch prefs with full path

 ChangeLog              | 6 ++++++
 src/Makefile.am        | 1 +
 src/krb5-auth-applet.c | 4 +++-
 3 files changed, 10 insertions(+), 1 deletion(-)

commit 141b1a264f5561ab4baa3ce25fb17fa0176e3a1c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Jun 1 22:19:15 2009 +0200

    set application name in error dialog

 ChangeLog              |  5 +++++
 src/krb5-auth-dialog.c | 12 +++++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit 5a338d29dc08867b277de20efd3d9edd8171d1a1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 29 18:37:39 2009 +0200

    enable help in applet and prefs dialog

 ChangeLog                                    | 17 ++++++++
 po/POTFILES.in                               |  2 +-
 preferences/Makefile.am                      |  2 +
 preferences/krb5-auth-dialog-preferences.c   | 32 ++-------------
 preferences/krb5-auth-dialog-preferences.xml |  1 +
 src/Makefile.am                              |  2 +
 src/krb5-auth-applet.c                       | 23 +++++++++--
 src/krb5-auth-tools.c                        | 58 ++++++++++++++++++++++++++++
 src/krb5-auth-tools.h                        | 33 ++++++++++++++++
 9 files changed, 137 insertions(+), 33 deletions(-)

commit 7f7a21cfe43e1010f0857a042f42a07d3e5af025
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 22 15:29:07 2009 +0200

    add a user manual

 .gitignore                           |   1 +
 ChangeLog                            |  20 ++
 Makefile.am                          |  12 +-
 acinclude.m4                         |   2 +
 configure.ac                         |   2 +
 help/.gitignore                      |   1 +
 help/C/figures/ka-expired.png        | Bin 0 -> 12075 bytes
 help/C/figures/ka-expiring.png       | Bin 0 -> 12659 bytes
 help/C/figures/ka-valid.png          | Bin 0 -> 12226 bytes
 help/C/figures/trayicon-expired.png  | Bin 0 -> 1258 bytes
 help/C/figures/trayicon-expiring.png | Bin 0 -> 1344 bytes
 help/C/figures/trayicon-valid.png    | Bin 0 -> 1163 bytes
 help/C/krb5-auth-dialog.xml          | 370 +++++++++++++++++++++++++++++++++++
 help/C/legal.xml                     |  76 +++++++
 help/Makefile.am                     |  19 ++
 help/krb5-auth-dialog.omf.in         |  37 ++++
 m4/gnome-doc-utils.m4                |  53 +++++
 17 files changed, 591 insertions(+), 2 deletions(-)

commit 4305f026ffdac76d97f14a65b18d09e570ced6bd
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Tue May 26 19:10:08 2009 +0200

    Updated Spanish translation

 po/es.po | 42 +++++++++++++++++++++++++++---------------
 1 file changed, 27 insertions(+), 15 deletions(-)

commit fe515c69334b2686788c04836e76ee63737f3a33
Author: A S Alam <aalam@users.sf.net>
Date:   Tue May 26 06:21:56 2009 +0530

    Updating Punjabi file with CHARSET varible and add to LINGUAS

 po/LINGUAS |  1 +
 po/pa.po   | 91 +++++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 50 insertions(+), 42 deletions(-)

commit c7c1ed3d1c730b9bb6202f025d0441f7f4d13c4c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 22 15:04:20 2009 +0200

    update about dialog

 ChangeLog              |  4 ++++
 src/krb5-auth-applet.c | 48 +++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 47 insertions(+), 5 deletions(-)

commit 317694f62ac35ab4417658e74dbcb18ab48adf71
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon May 25 18:12:24 2009 +0200

    release 0.10

 ChangeLog    |  5 +++++
 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 3 files changed, 17 insertions(+), 1 deletion(-)

commit b1771efe77d21b277377a718015f04897143f5e5
Author: A S Alam <aalam@users.sf.net>
Date:   Mon May 25 22:08:42 2009 +0530

    Add Punjabi (Gurmukhi) Translation

 po/pa.po | 1704 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1704 insertions(+)

commit dc0b6e007a86f2e4fdb85e0b45902d8b3f404aed
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun May 24 15:58:44 2009 +0200

    Updated Spanish translation

 po/es.po | 63 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 34 insertions(+), 29 deletions(-)

commit 6a3456925f6075b1def514d514bbe023030cdbd2
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 22 15:40:43 2009 +0200

    add missing missing line continuation

 ChangeLog       | 4 ++++
 src/Makefile.am | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e1e27672e7a5f81320f3abeca1c0ecd2f11e28d0
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Wed May 20 20:09:17 2009 +0200

    Updated Spanish translation

 po/es.po | 1708 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1708 insertions(+)

commit 111b4e82aa6546aebf172784be79929f7508102f
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Wed May 20 20:08:46 2009 +0200

    Added es to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 03e53f40fa38e61988b240aa1d99a570d0cbd2e1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue May 19 19:47:57 2009 +0200

    allow notifications to be turned off

 ChangeLog                       | 13 +++++++
 src/krb5-auth-applet.c          | 82 +++++++++++++++++++++++++++++++++++------
 src/krb5-auth-dialog.c          |  3 --
 src/krb5-auth-dialog.schemas.in | 39 ++++++++++++++++++++
 src/krb5-auth-gconf-tools.c     | 24 ++++++++++++
 src/krb5-auth-gconf-tools.h     |  4 ++
 src/krb5-auth-gconf.c           | 26 ++++++-------
 src/krb5-auth-gconf.h           |  3 +-
 8 files changed, 165 insertions(+), 29 deletions(-)

commit 476ac3ebc7150d153afea26fea59dacd7c752f5c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 15 18:33:07 2009 +0200

    update translatable strings

 ChangeLog               |    7 +
 po/de.po                | 2888 ++++++++++-----------------------------------
 po/krb5-auth-dialog.pot | 2869 ++++++++++-----------------------------------
 po/nb.po                | 2983 +++++++++++++----------------------------------
 po/sv.po                | 2929 +++++++++++-----------------------------------
 5 files changed, 2740 insertions(+), 8936 deletions(-)

commit 0ed20a2f652ab45c57c9369b8dad08ae2edb3605
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 15 18:21:59 2009 +0200

    better match the output to the handcrafted version we shipped

 ChangeLog           | 5 +++++
 etpo/lexer.l        | 4 ++--
 src/dummy-strings.c | 5 ++++-
 3 files changed, 11 insertions(+), 3 deletions(-)

commit 850eb54cfe348c6d47601594af5a8b03fa6b000f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 15 17:30:26 2009 +0200

    reduce number of translations
    
    by filtering the error messages extracted from Kerberos's .et files.

 ChangeLog           |   7 +
 etpo/Makefile.am    |  15 ++
 src/dummy-strings.c | 458 +++++-----------------------------------------------
 3 files changed, 59 insertions(+), 421 deletions(-)

commit f58a7c6edec6f163cf6b0fdca2a7ee64445feac7
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri May 15 18:57:26 2009 +0200

    mark GtKBuilder ui files as glade
    
    so the get picked up by intltool

 ChangeLog      | 5 +++++
 po/POTFILES.in | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 059c4921f2fbeb255a3b6ea3a79907a46927e1a3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed May 13 22:10:04 2009 +0200

    try to translate Kerberos error messages

 ChangeLog              | 5 +++++
 src/krb5-auth-dialog.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 64f39569a0afaf17800ee422808ec968b38adb71
Author: Guido Günther <agx@sigxcpu.org>
Date:   Wed May 13 20:47:46 2009 +0200

    update regex for newer com_err

 ChangeLog    | 4 ++++
 etpo/lexer.l | 2 ++
 2 files changed, 6 insertions(+)

commit f47765829bc612f9be8071f3d5629b73d5430d27
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 11 23:51:57 2009 +0200

    merge schema translations
    
    and use gconftool to install the schema.

 ChangeLog                       | 12 +++++++++++
 configure.ac                    |  7 ++++++
 po/POTFILES.in                  |  1 +
 preferences/Makefile.am         |  2 --
 src/Makefile.am                 | 17 ++++++++++-----
 src/krb5-auth-dialog.schemas.in | 48 ++++++++++++++++++++---------------------
 6 files changed, 56 insertions(+), 31 deletions(-)

commit e394f9883966af1a76d13e250627056f4f86e941
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon May 11 00:45:55 2009 +0200

    cleanup CFLAG handling
    
    BZ: #581901

 ChangeLog               | 10 ++++++++
 configure.ac            | 13 ++--------
 preferences/Makefile.am | 28 +++++++++++++--------
 src/Makefile.am         | 67 +++++++++++++++++++++++++++++++++----------------
 4 files changed, 74 insertions(+), 44 deletions(-)

commit be4484021df4bc0d2e1092099bb7023de0dde09f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 10 22:19:57 2009 +0200

    update .gitignore files

 ChangeLog              | 6 ++++++
 preferences/.gitignore | 2 ++
 src/.gitignore         | 1 +
 3 files changed, 9 insertions(+)

commit e27711ced53e56ff3d5557af5e6fdcfe58bd3a5f
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 10 22:07:58 2009 +0200

    make checking for deprecated symbols easy

 ChangeLog               | 7 +++++++
 configure.ac            | 3 +++
 preferences/Makefile.am | 4 ++++
 src/Makefile.am         | 8 +++++++-
 4 files changed, 21 insertions(+), 1 deletion(-)

commit 3da2c17fb39462666942b187c2a770907f0bd61a
Author: Christian Persch <chpe@gnome.org>
Date:   Fri May 8 19:16:11 2009 +0200

    Use po/LINGUAS instead of putting the list in configure.ac
    
    BZ: #581907.

 ChangeLog    | 8 ++++++++
 autogen.sh   | 1 +
 configure.ac | 8 ++++----
 po/LINGUAS   | 5 +++++
 4 files changed, 18 insertions(+), 4 deletions(-)

commit 6f2502dc0c4d9afd164d7f09946eff11d3596783
Author: Christian Persch <chpe@gnome.org>
Date:   Fri May 8 19:04:36 2009 +0200

    fix -Wformat-security warnings
    
    BZ: #581902

 ChangeLog                   | 7 +++++++
 etpo/lexer.l                | 4 ++--
 src/krb5-auth-gconf-tools.c | 6 +++---
 src/krb5-auth-gconf.c       | 2 +-
 4 files changed, 13 insertions(+), 6 deletions(-)

commit 1117ad35cc15b84cd253ad770cfe406d73874f0d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue May 5 00:16:47 2009 +0200

    Switch from Libglade to GtkBuilder

 ChangeLog                                      |  14 +
 configure.ac                                   |   6 +-
 etpo/Makefile.am                               |   2 -
 po/POTFILES.in                                 |   4 +-
 preferences/Makefile.am                        |   3 +-
 preferences/krb5-auth-dialog-preferences.c     |  27 +-
 preferences/krb5-auth-dialog-preferences.glade | 620 -----------------------
 preferences/krb5-auth-dialog-preferences.xml   | 657 +++++++++++++++++++++++++
 src/Makefile.am                                |   3 +-
 src/krb5-auth-applet.c                         |   2 +-
 src/krb5-auth-applet.h                         |   3 +-
 src/krb5-auth-dialog.c                         |  32 +-
 src/krb5-auth-dialog.glade                     | 138 ------
 src/krb5-auth-dialog.xml                       | 155 ++++++
 src/krb5-auth-pwdialog.c                       |  16 +-
 src/krb5-auth-pwdialog.h                       |   3 +-
 16 files changed, 863 insertions(+), 822 deletions(-)

commit caf8e1b7539269b91ec85500381dbbdaa6a6093b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 3 17:13:40 2009 +0200

    fix build with GLib < 2.18

 ChangeLog              | 7 +++++++
 configure.ac           | 4 +++-
 src/Makefile.am        | 1 +
 src/krb5-auth-dialog.c | 1 +
 4 files changed, 12 insertions(+), 1 deletion(-)

commit 943847b1cb563adc871a1c153b9824a8b5c0f15b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 3 17:07:16 2009 +0200

    fix compilation with GTK+ < 2.14

 ChangeLog                                  | 5 +++++
 preferences/krb5-auth-dialog-preferences.c | 4 ++++
 2 files changed, 9 insertions(+)

commit 553e864286cc56807280473680afcaa21a660619
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 3 16:43:58 2009 +0200

    ship maintainers

 ChangeLog   | 4 ++++
 Makefile.am | 8 ++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 1a7c665d7beb69c729bae98a164736bce01eff7c
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 3 16:22:55 2009 +0200

    add generated files

 .gitignore | 5 +++++
 ChangeLog  | 4 ++++
 2 files changed, 9 insertions(+)

commit 8cf197f76d67a92da5b0be67271ce914e75cb2d1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 3 16:20:30 2009 +0200

    rm .cvsignore files

 .cvsignore      | 31 -------------------------------
 ChangeLog       |  8 ++++++++
 etpo/.cvsignore |  6 ------
 po/.cvsignore   | 10 ----------
 src/.cvsignore  |  5 -----
 5 files changed, 8 insertions(+), 52 deletions(-)

commit 3d9352459f8cbab47f64f4a1fee36909a212cd5d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun May 3 16:20:09 2009 +0200

    add sv to ALL_LINGUAS

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f86a7132ef409bf6c0bdcbc1d5a05ab84d92abc3
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 30 18:07:46 2009 +0200

    release 0.9.1

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit ababced84c1b23fa8628c2cbe66333e953c8b7cf
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 30 17:57:31 2009 +0200

    add missing dbus service description

 ChangeLog       | 5 +++++
 src/Makefile.am | 1 +
 2 files changed, 6 insertions(+)

commit ec60300c9c273d1110f067393bfcc81d305899a9
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 24 10:42:21 2009 +0200

    query current invisiable char from GtkEntry
    
    and set it for GtkSecureEntry too. Patch by Matthias Clasen.

 ChangeLog                | 6 ++++++
 src/krb5-auth-pwdialog.c | 6 ++++++
 2 files changed, 12 insertions(+)

commit f98c6b79542082e03db771b990b4ffedae8ead80
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 24 10:20:06 2009 +0200

    don't install "gtk-entry-select-on-focus" settings property
    
    since it clashes with the one from GtkEntry. Create a temporary GtkEntry
    widget to read that value instead. Allows to have GtkEntry and
    GtkSecureEntry in the same process
    (https://bugs.g10code.com/gnupg/issue1029).

 ChangeLog                 |  7 +++++++
 gtksecentry/gtksecentry.c | 13 +++++--------
 2 files changed, 12 insertions(+), 8 deletions(-)

commit b46206faf606d7ea9c1f459e8afc4a78b531efce
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 24 09:40:46 2009 +0200

    add Matthias Clasen

 AUTHORS | 3 +++
 1 file changed, 3 insertions(+)

commit 6be2df896a34f1cfd22ea5acdff7a56f012a3717
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 23 21:06:19 2009 +0200

    Don't show notification before the applet is embedded in the panel
    
    based on a patch for 0.8 by Matthias Clasen

 ChangeLog              |  9 +++++++++
 src/krb5-auth-applet.c | 37 +++++++++++++++++++++++++++++--------
 2 files changed, 38 insertions(+), 8 deletions(-)

commit 3c27e64b15a084f7cdc3923b7f4085e5a6820222
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 23 18:35:53 2009 +0200

    release 0.9

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2b18ebf83cdaf568132b3a83db0b28100e1eb2fa
Merge: e864b1d 6c8adc9
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 23 12:28:03 2009 +0200

    Merge branch 'fixups'

commit 6c8adc9f705ba9feda899a04c980ebc59f6db6d1
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Mar 15 19:59:42 2009 +0100

    Update NEWS

 ChangeLog |  4 ++++
 NEWS      | 15 +++++++++++++++
 2 files changed, 19 insertions(+)

commit 082929a0feab7c2e05a7a72411d015c06bf2be7a
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 9 12:55:16 2009 +0200

    always reparse the principal name in grab_credentials
    
    when acquireing credentials interacively we want to be sure we use the
    current principal name from gconf.

 ChangeLog              |  9 +++++++++
 src/krb5-auth-dialog.c | 16 ++++++++--------
 2 files changed, 17 insertions(+), 8 deletions(-)

commit 57f535e85d6ccbf55369533745d4426fd8846b5b
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 14 22:33:07 2009 +0200

    drop "Password:" from dialog
    
    it's in the kerberos prompt and confusing if prompted for a PIN.

 ChangeLog                  |   7 +
 src/krb5-auth-dialog.glade | 385 ++++++++++++++++-----------------------------
 src/krb5-auth-pwdialog.c   |   4 +-
 3 files changed, 145 insertions(+), 251 deletions(-)

commit e864b1d114d7878f131293866bb0ec5f2e851981
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Mar 15 19:59:42 2009 +0100

    Update NEWS

 NEWS | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit bd9906921b319351916ced169e57574359b2c36d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 9 12:55:16 2009 +0200

    always reparse the principal name in grab_credentials
    
    when acquireing credentials interacively we want to be sure we use the
    current principal name from gconf.

 src/krb5-auth-dialog.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit bd85050180403b362e529dda521915eeebca9320
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 14 22:33:07 2009 +0200

    drop "Password:" from dialog
    
    it's in the kerberos prompt and confusing if prompted for a PIN.

 src/krb5-auth-dialog.glade | 385 ++++++++++++++++-----------------------------
 src/krb5-auth-pwdialog.c   |   4 +-
 2 files changed, 138 insertions(+), 251 deletions(-)

commit 3874e60b6172421f8ffdd822fedcc8479cc83b26
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sat Apr 18 00:15:37 2009 +0200

    handle length zero KA_GCONF_KEY_PRINCIPAL

 ChangeLog             | 5 +++++
 src/krb5-auth-gconf.c | 5 ++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 8565f2fff3364540c0412c425be5f594123cb84d
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Apr 17 13:54:33 2009 +0200

    add doap file

 krb5-auth-dialog.doap | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 7bdc111f7d53597ec91bf118a2f0ee51217e7312
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Apr 14 19:03:50 2009 +0200

    make "close" button default
    
    and set GtkEntry fields to "activates defaults" so it closes the dialog.

 ChangeLog                                      | 5 +++++
 preferences/krb5-auth-dialog-preferences.glade | 8 +++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 94e4fb1e162eedb1093eb8791047b67bbb3d20e6
Author: Guido Günther <agx@sigxcpu.org>
Date:   Mon Apr 13 18:30:55 2009 +0200

    make pkinit anchors configurable
    
    and pass pkint options to krb5_get_init_creds_opt_set_pa (MIT pkinit) if
    available.

 ChangeLog                                      | 27 ++++++++++
 configure.ac                                   | 27 +++++-----
 preferences/krb5-auth-dialog-preferences.c     | 74 +++++++++++++++++++++++++-
 preferences/krb5-auth-dialog-preferences.glade | 43 ++++++++++++++-
 src/krb5-auth-applet.c                         | 22 ++++++++
 src/krb5-auth-dialog.c                         | 67 +++++++++++++++--------
 src/krb5-auth-dialog.schemas.in                | 17 +++++-
 src/krb5-auth-gconf-tools.h                    |  1 +
 src/krb5-auth-gconf.c                          | 17 ++++++
 9 files changed, 256 insertions(+), 39 deletions(-)

commit 836d4f97fd4f52e616931751d9e6261e3a95e7a4
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Apr 9 17:54:57 2009 +0200

    add Colin to AUTHORS

 AUTHORS   |  1 +
 ChangeLog | 30 +++++++++++++++++-------------
 2 files changed, 18 insertions(+), 13 deletions(-)

commit 8e6d0e05b54831b88a6f58bf37d39ebaac428af3
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Apr 4 09:29:54 2009 +0000

    GtkSecureEntry warning fixes
    
    svn path=/trunk/; revision=141

 ChangeLog                 |  23 +++++++++
 gtksecentry/gtksecentry.c | 120 ++++++++++------------------------------------
 gtksecentry/gtksecentry.h |   8 ++++
 3 files changed, 55 insertions(+), 96 deletions(-)

commit d92c2cf5de4410a70b8c0cfc018f23758d2bfefc
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Apr 4 09:29:51 2009 +0000

    add preferences capplet
    
    svn path=/trunk/; revision=140

 ChangeLog                                          |  11 +
 Makefile.am                                        |   2 +-
 configure.ac                                       |   1 +
 po/POTFILES.in                                     |   5 +-
 preferences/Makefile.am                            |  42 ++
 preferences/krb5-auth-dialog-preferences.c         | 627 +++++++++++++++++++++
 .../krb5-auth-dialog-preferences.desktop.in        |  12 +
 preferences/krb5-auth-dialog-preferences.glade     | 573 +++++++++++++++++++
 src/krb5-auth-applet.c                             |  15 +
 9 files changed, 1286 insertions(+), 2 deletions(-)

commit 741f960f8a9585f75cf3a108797f2f58301785cc
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Apr 4 09:29:48 2009 +0000

    allow to set ticket flags via gconf
    
    proxiable, renewable and forwardable are supported.
    
    svn path=/trunk/; revision=139

 ChangeLog                       | 15 +++++++++
 src/krb5-auth-applet.c          | 68 ++++++++++++++++++++++++++++++++++++++---
 src/krb5-auth-dialog.c          | 49 ++++++++++++++++++++++-------
 src/krb5-auth-dialog.schemas.in | 39 +++++++++++++++++++++++
 src/krb5-auth-gconf-tools.h     |  3 ++
 src/krb5-auth-gconf.c           | 48 +++++++++++++++++++++++++++++
 6 files changed, 207 insertions(+), 15 deletions(-)

commit ffd4216b47e9c306b1408ba021ce0b8dc2d0c518
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Apr 4 09:29:44 2009 +0000

    split out gconf tool functions
    
    svn path=/trunk/; revision=138

 ChangeLog                   |   9 ++++
 src/Makefile.am             |   2 +
 src/krb5-auth-gconf-tools.c | 102 ++++++++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-gconf-tools.h |  38 +++++++++++++++++
 src/krb5-auth-gconf.c       |  87 +------------------------------------
 5 files changed, 152 insertions(+), 86 deletions(-)

commit 5f1cbfe8202fb9e5e86ae7dcb02a5e01a29438de
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Mar 28 13:20:36 2009 +0000

    add dbus service file
    
    svn path=/trunk/; revision=137

 ChangeLog                              |  6 ++++++
 src/Makefile.am                        | 12 ++++++++++--
 src/org.gnome.KrbAuthDialog.service.in |  3 +++
 3 files changed, 19 insertions(+), 2 deletions(-)

commit c4a5444a72f17a3bee8299c6c7785ecf862ba812
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Mar 27 07:06:49 2009 +0000

    monitor ccache file
    
    so we detect modifications right away and not only every
    CREDENTIALS_CHECK_INTERVAL
    
    svn path=/trunk/; revision=136

 ChangeLog              |  8 ++++++
 configure.ac           |  3 ++
 src/krb5-auth-dialog.c | 76 ++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 85 insertions(+), 2 deletions(-)

commit 1fd2cc3fe16f0ea52844b4f4294ba708a8a43f41
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Mar 27 07:06:47 2009 +0000

    handle GTK_RESPONSE_DELETE_EVENT like GTK_RESPONSE_CANCEL
    
    so pressing ESC or closing the dialog has the same effect than pressing
    cancel.
    
    look at "cancled" instead of looking at the kerberos error codes
    
    more robust since heimdal and mit have different responses, let alone
    pkinit
    
    svn path=/trunk/; revision=135

 ChangeLog              |  9 +++++++++
 src/krb5-auth-dialog.c | 25 ++++++++++---------------
 2 files changed, 19 insertions(+), 15 deletions(-)

commit b81ed99be0f48f65f03a7ba63fceeacecb36649a
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Mar 27 07:06:43 2009 +0000

    split out password auth into a separate function
    
    makes non-pkinit and pkinit share more code and avoids warning when
    compiling without pkinit
    
    try password auth if pkinit failed with "no token"
    
    svn path=/trunk/; revision=134

 ChangeLog              |  7 ++++++
 src/krb5-auth-dialog.c | 58 ++++++++++++++++++++++++++++++--------------------
 2 files changed, 42 insertions(+), 23 deletions(-)

commit e349cf8cb0fe703735cfaeb21115b28947415dd2
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Mar 27 07:06:37 2009 +0000

    remove unused headers
    
    svn path=/trunk/; revision=133

 ChangeLog                | 6 ++++++
 src/krb5-auth-applet.h   | 5 -----
 src/krb5-auth-dialog.c   | 2 +-
 src/krb5-auth-pwdialog.h | 1 -
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 9644e0ab0d490eeaccc665ebf951f69de5decfed
Author: Guido Günther <guidog@src.gnome.org>
Date:   Wed Mar 11 16:25:58 2009 +0000

    silence compiler warnings
    
    svn path=/trunk/; revision=132

 ChangeLog                |  7 +++++++
 src/krb5-auth-applet.c   | 48 ++++++++++++++++++++++++++++--------------------
 src/krb5-auth-dialog.c   | 36 +++++++++++++++++++++---------------
 src/krb5-auth-dialog.h   |  2 +-
 src/krb5-auth-gconf.c    |  6 ++++--
 src/krb5-auth-pwdialog.c |  6 ++++--
 src/krb5-auth-pwdialog.h |  2 +-
 7 files changed, 66 insertions(+), 41 deletions(-)

commit f2281b02f449b1bd70b19b7909fc7e57a5b8c3c7
Author: Guido Günther <guidog@src.gnome.org>
Date:   Wed Mar 11 16:25:55 2009 +0000

    add more compiler warnings
    
    svn path=/trunk/; revision=131

 ChangeLog            |  7 +++++
 acinclude.m4         | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac         | 12 +++++--
 m4/compiler-flags.m4 | 40 ++++++++++++++++++++++++
 4 files changed, 144 insertions(+), 3 deletions(-)

commit 7bc813583189b77a7f3f3f42f808a29f9012874f
Author: Guido Günther <guidog@src.gnome.org>
Date:   Wed Mar 11 16:25:52 2009 +0000

    push the dialog into the foreground and grab the keyboard
    
    svn path=/trunk/; revision=130

 ChangeLog                | 11 +++++++++
 src/krb5-auth-pwdialog.c | 58 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

commit d462f9c64b79e17e4d10f3f99c4ad93ec72623b6
Author: Guido Günther <guidog@src.gnome.org>
Date:   Wed Mar 11 16:25:47 2009 +0000

    add a pwdialog gobject
    
    svn path=/trunk/; revision=129

 ChangeLog                  |  12 +++
 po/POTFILES.in             |   1 +
 src/Makefile.am            |   2 +
 src/krb5-auth-applet.c     |  69 +++----------
 src/krb5-auth-applet.h     |  16 +--
 src/krb5-auth-dbus.c       |   1 +
 src/krb5-auth-dialog.c     | 236 +++++++++++++--------------------------------
 src/krb5-auth-dialog.glade |   2 +-
 src/krb5-auth-dialog.h     |   1 +
 src/krb5-auth-pwdialog.c   | 186 +++++++++++++++++++++++++++++++++++
 src/krb5-auth-pwdialog.h   |  66 +++++++++++++
 11 files changed, 357 insertions(+), 235 deletions(-)

commit 195473836e04982a55efdbc948461be5914d1797
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Feb 28 17:47:53 2009 +0000

    add dbus method to acquire kerberos tickets:
    
    svn path=/trunk/; revision=128

 ChangeLog                     | 10 ++++++++++
 README                        |  9 +++++++++
 src/Makefile.am               | 13 ++++++++++++-
 src/krb5-auth-applet-dbus.xml | 14 ++++++++++++++
 src/krb5-auth-dbus.c          | 30 +++++++++++++++++++++++++++++-
 src/krb5-auth-dbus.h          |  7 +++++++
 src/krb5-auth-dialog.c        |  1 +
 7 files changed, 82 insertions(+), 2 deletions(-)

commit f9c110b9f3e2294b3fd796c6fc41bc548f689f6f
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Feb 28 17:47:48 2009 +0000

    add ka_check_credentials
    
    Check if we have valid credentials for a given principal and if not
    acquire them.
    
    svn path=/trunk/; revision=127

 ChangeLog              |  6 +++++
 src/krb5-auth-dialog.c | 60 ++++++++++++++++++++++++++++++++++++++++++++++++--
 src/krb5-auth-dialog.h |  4 ++--
 3 files changed, 66 insertions(+), 4 deletions(-)

commit aa6ada2845198866ea4b96de93c96e30dcfbbe91
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Feb 28 13:42:48 2009 +0000

    Turn Krb5AuthAppliet into a GObject
    
    called ka_applet.
    
    svn path=/trunk/; revision=126

 ChangeLog              |  19 ++
 src/Makefile.am        |   2 -
 src/krb5-auth-applet.c | 461 +++++++++++++++++++++++++++++++++++++++++--------
 src/krb5-auth-applet.h |  59 ++++---
 src/krb5-auth-dbus.c   |   2 +-
 src/krb5-auth-dialog.c | 142 ++++++++-------
 src/krb5-auth-dialog.h |   2 +-
 src/krb5-auth-gconf.c  |  55 +++---
 src/krb5-auth-gconf.h  |   2 +-
 src/krb5-auth-notify.c |  66 -------
 src/krb5-auth-notify.h |  28 ---
 11 files changed, 554 insertions(+), 284 deletions(-)

commit 809c5ba3f123bf85a615fb09758b71622f3ff47c
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Feb 28 13:27:07 2009 +0000

    add .gitignore files
    
    svn path=/trunk/; revision=125

 .gitignore      | 27 +++++++++++++++++++++++++++
 ChangeLog       |  8 ++++++++
 etpo/.gitignore |  4 ++++
 po/.gitignore   |  5 +++++
 src/.gitignore  |  5 +++++
 5 files changed, 49 insertions(+)

commit 0a2135919b9ab1edb3669449298e72fc8289da7f
Author: Guido Günther <guidog@src.gnome.org>
Date:   Mon Jan 19 21:13:19 2009 +0000

    don't try pkinit if pk_userid is non-null but empty
    
    svn path=/trunk/; revision=124

 ChangeLog              | 6 ++++++
 src/krb5-auth-dialog.c | 4 ++--
 src/krb5-auth-gconf.c  | 4 ++--
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 1aa27c208d474e5fba77b0356644e0ebdb4127e9
Author: Guido Günther <guidog@src.gnome.org>
Date:   Thu Jan 15 18:53:37 2009 +0000

    update NEWS
    
    svn path=/trunk/; revision=123

 ChangeLog |  4 ++++
 NEWS      | 11 +++++++++++
 2 files changed, 15 insertions(+)

commit e67ebf8d9a280042344c016dbd875b900a184439
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Thu Jan 15 16:21:23 2009 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=122

 po/ChangeLog |    4 +
 po/sv.po     | 3298 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3302 insertions(+)

commit afbffb722e4cd571ec4f253c60becc4fd5852ced
Author: Guido Günther <guidog@src.gnome.org>
Date:   Mon Jan 12 18:13:29 2009 +0000

    move icons to $(datadir)/krb5-auth-dialog
    
    and add this to the icon search path. Fixes installations with prefix !=
    /usr
    
    svn path=/trunk/; revision=121

 ChangeLog              | 11 +++++++++++
 icons/Makefile.am      |  2 +-
 src/Makefile.am        |  8 ++++----
 src/krb5-auth-applet.c |  3 +++
 src/krb5-auth-dialog.c |  3 ++-
 5 files changed, 21 insertions(+), 6 deletions(-)

commit 24671de4a47096847ae4c9fe2678336df60e2589
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sun Jan 11 22:00:29 2009 +0000

    add myself
    
    svn path=/trunk/; revision=120

 AUTHORS     | 1 +
 ChangeLog   | 4 ++++
 MAINTAINERS | 4 ++++
 3 files changed, 9 insertions(+)

commit 37027fb48731ecc4b42b84934489436e5a2e9fc1
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 15:31:21 2009 +0000

    release 0.8
    
    svn path=/trunk/; revision=117

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9ff692e4b861a08b3a1a07583fafba4897d89517
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:53 2009 +0000

    add German translation
    
    svn path=/trunk/; revision=116

 ChangeLog    |    4 +
 configure.ac |    2 +-
 po/ChangeLog |    4 +
 po/de.po     | 3293 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 3302 insertions(+), 1 deletion(-)

commit 4826ef590c1c7cc8e147f651b32b8ce6d25e6bc6
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:51 2009 +0000

    update translations
    
    svn path=/trunk/; revision=115

 po/ChangeLog            |    4 +
 po/krb5-auth-dialog.pot | 1413 ++++++++++++++++++++++++++---------------------
 2 files changed, 799 insertions(+), 618 deletions(-)

commit fc1a25c2491681dfd61448bd9e0ac23cef1a929b
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:49 2009 +0000

    intltool-*.in not contained in this package
    
    svn path=/trunk/; revision=114

 ChangeLog   | 5 +++++
 Makefile.am | 3 ---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit e4140f15bbadd9c26575295ce9fdece41004d2b5
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:48 2009 +0000

    add missing files that may contain translations
    
    svn path=/trunk/; revision=113

 ChangeLog        | 6 ++++++
 po/POTFILES.in   | 4 ++++
 po/POTFILES.skip | 1 +
 3 files changed, 11 insertions(+)

commit 904f7112dabeac824a5a4eb45fb1c234d8846070
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:46 2009 +0000

    schema_in_files typo
    
    svn path=/trunk/; revision=112

 ChangeLog       | 4 ++++
 src/Makefile.am | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit edd0791c4fe9468372001a2ba44f87c156bdad71
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:44 2009 +0000

    add gconf schema
    
    svn path=/trunk/; revision=111

 ChangeLog                       |  6 +++++
 src/Makefile.am                 |  9 +++++++
 src/krb5-auth-dialog.schemas.in | 55 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 70 insertions(+)

commit 16b6522497bc4a5af8b28bb011db15b3fb879996
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:42 2009 +0000

    move HAVE_LIBNOTIFY check into krb5-auth-notify.c
    
    and simplify ka_update_status
    
    svn path=/trunk/; revision=110

 ChangeLog              | 12 ++++++++
 src/krb5-auth-applet.c | 80 ++++++++++++++++++++++++++++++++------------------
 src/krb5-auth-notify.c | 19 ++++++++----
 src/krb5-auth-notify.h |  4 ---
 4 files changed, 78 insertions(+), 37 deletions(-)

commit ab0c59f1d7c1cbac49ce7648d57a78fbab5856da
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:40 2009 +0000

    add "expiring" tray icon
    
    shown when credentials are about to expire
    
    svn path=/trunk/; revision=109

 ChangeLog                     |  11 +++++++++++
 icons/Makefile.am             |   1 +
 icons/krb-expiring-ticket.png | Bin 0 -> 1341 bytes
 src/krb5-auth-applet.c        |  19 ++++++++++++++-----
 src/krb5-auth-applet.h        |   2 +-
 src/krb5-auth-dialog.c        |   1 -
 6 files changed, 27 insertions(+), 7 deletions(-)

commit 4dd8493b5f13c7567dcbb73d06d0b7f2de182e12
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:38 2009 +0000

    don't show a tooltip about ticket expiry if ticket is renewable
    
    svn path=/trunk/; revision=108

 ChangeLog              | 5 +++++
 src/krb5-auth-applet.c | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit af41f6f028d4323b077becb96eb6af1e06b078c9
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:36 2009 +0000

    pkint support
    
    svn path=/trunk/; revision=107

 ChangeLog              |  15 +++
 README                 |   4 +
 configure.ac           |  21 ++++
 src/krb5-auth-applet.h |   3 +-
 src/krb5-auth-dialog.c | 298 +++++++++++++++++++++++++++++++------------------
 src/krb5-auth-gconf.c  |  16 +++
 6 files changed, 248 insertions(+), 109 deletions(-)

commit d485821fc3151f3082a43679894bd768cdd18ab4
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:34 2009 +0000

    use get_error_message() when possible
    
    since it gives clearer error messages
    
    svn path=/trunk/; revision=106

 ChangeLog              |  7 +++++++
 configure.ac           |  1 +
 src/krb5-auth-dialog.c | 23 +++++++++++++++++++++--
 3 files changed, 29 insertions(+), 2 deletions(-)

commit 3d6addae8544d4ab61bfe885d577198a4dd68ab3
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:32 2009 +0000

    separate ticket renewal and interactive ticket acquisition
    
    svn path=/trunk/; revision=105

 ChangeLog              |   5 +++
 src/krb5-auth-applet.h |   1 +
 src/krb5-auth-dialog.c | 111 +++++++++++++++++++++++++++++++++----------------
 3 files changed, 81 insertions(+), 36 deletions(-)

commit df61913ad3ae0842da2a5b36cb7d0bad0658712c
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:30 2009 +0000

    don't popup the dialog if we have a tray icon
    
    The user can happily refresh the credentials by left clicking on the
    tray icon. When using libnotify we also remind him to do so every
    NOTIFY_SECONDS (300).
    
    svn path=/trunk/; revision=104

 ChangeLog              |  5 +++++
 src/krb5-auth-applet.c | 21 +++++++++++++++------
 src/krb5-auth-dialog.c |  2 +-
 3 files changed, 21 insertions(+), 7 deletions(-)

commit d619f4f650128792b089db493ca79b9615385e5c
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:28 2009 +0000

    use GtkSecureEntry instead of GtkEntry for the password entry
    
    From gtksecentry.h:
    The entry is now always invisible, uses secure memory methods to
    allocate the text memory, and all potentially dangerous methods (copy &
    paste, popup, etc.) have been removed.
    
    svn path=/trunk/; revision=103

 ChangeLog                  | 12 ++++++++++++
 src/Makefile.am            |  2 ++
 src/krb5-auth-dialog.c     | 45 +++++++++++++++++++++++++++++++++++++++++----
 src/krb5-auth-dialog.glade |  2 +-
 4 files changed, 56 insertions(+), 5 deletions(-)

commit c77e9f0cfaa4ec051937eac89217227fe9d574a0
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:26 2009 +0000

    move dbus handling into a separate file
    
    svn path=/trunk/; revision=102

 ChangeLog              |  7 +++++
 src/Makefile.am        |  2 ++
 src/krb5-auth-dbus.c   | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-dbus.h   | 28 ++++++++++++++++++
 src/krb5-auth-dialog.c | 49 ++++---------------------------
 5 files changed, 121 insertions(+), 43 deletions(-)

commit 366a26e85ed39480c2134157642d0b01d739fd81
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:23 2009 +0000

    add gtksecentry/secmem from gpg pinentry
    
    code is licensed GPLv2
    
    svn path=/trunk/; revision=101

 ChangeLog                 |   12 +
 Makefile.am               |    2 +-
 acinclude.m4              |  117 ++
 configure.ac              |   22 +
 gtksecentry/Makefile.am   |    7 +
 gtksecentry/gtksecentry.c | 3412 +++++++++++++++++++++++++++++++++++++++++++++
 gtksecentry/gtksecentry.h |  181 +++
 secmem/Makefile.am        |   31 +
 secmem/Manifest           |    7 +
 secmem/memory.h           |   40 +
 secmem/secmem-util.h      |    3 +
 secmem/secmem.c           |  448 ++++++
 secmem/util.c             |  139 ++
 secmem/util.h             |   66 +
 src/Makefile.am           |    2 +
 15 files changed, 4488 insertions(+), 1 deletion(-)

commit 61c36c96f0dcd42a44684447a66ccc153ce2fbd5
Author: Guido Günther <guidog@src.gnome.org>
Date:   Sat Jan 10 13:25:20 2009 +0000

    add a tray icon
    
    svn path=/trunk/; revision=100

 ChangeLog                     |  12 ++
 Makefile.am                   |   2 +-
 README                        |  14 ++-
 configure.ac                  |  94 ++++++++++++++--
 etpo/Makefile.am              |  20 +++-
 icons/Makefile.am             |  10 ++
 icons/krb-no-valid-ticket.png | Bin 0 -> 1234 bytes
 icons/krb-valid-ticket.png    | Bin 0 -> 1126 bytes
 src/Makefile.am               |  16 ++-
 src/krb5-auth-applet.c        | 238 +++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-applet.h        |  68 ++++++++++++
 src/krb5-auth-dialog.c        | 252 +++++++++++++++++++++++++++++-------------
 src/krb5-auth-dialog.h        |  30 +++++
 src/krb5-auth-gconf.c         | 206 ++++++++++++++++++++++++++++++++++
 src/krb5-auth-gconf.h         |  28 +++++
 src/krb5-auth-notify.c        |  57 ++++++++++
 src/krb5-auth-notify.h        |  32 ++++++
 17 files changed, 988 insertions(+), 91 deletions(-)

commit 37663e53c00fe229b721c48ce6739195b97f4b51
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Sep 26 15:16:18 2008 +0000

    src/krb5-auth-dialog.glade: remove width_request from krb5_auth_message_label.
    
    Now we display the whole principal name instead of cutting it off at an
    arbitrary position.
    
    svn path=/trunk/; revision=81

 ChangeLog                  | 6 ++++++
 src/krb5-auth-dialog.glade | 1 -
 2 files changed, 6 insertions(+), 1 deletion(-)

commit d466f8d0dad90d7ba3eadd2f92bffceb16a4f16e
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Sep 26 15:12:13 2008 +0000

    add manpage section
    
    * src/krb5-auth-dialog.1.in: add manpage section
    
    svn path=/trunk/; revision=80

 ChangeLog                 | 4 ++++
 src/krb5-auth-dialog.1.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0e9dd13bc21f68001c101183e7d03afe2f7966cb
Author: Guido Günther <guidog@src.gnome.org>
Date:   Fri Sep 26 14:23:54 2008 +0000

    remove duplicte exec form desktop file and fix comment
    
    svn path=/trunk/; revision=79

 ChangeLog                       | 5 +++++
 src/krb5-auth-dialog.desktop.in | 3 +--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 2e8a0f99ff083b68e34eeb604ace641a66843828
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 9 20:03:38 2008 +0000

    Bug 534867: should use g_timeout_add_seconds
    
    2008-06-09  Colin Walters  <walters@verbum.org>
    
    	Bug 534867: should use g_timeout_add_seconds
    
    	* src/krb5-auth-dialog.c: Save power with
    	g_timeout_add_seconds.
    	Patch from from Guido Günther.
    
    
    
    svn path=/trunk/; revision=78

 ChangeLog              | 8 ++++++++
 src/krb5-auth-dialog.c | 6 +++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit dd8d550cb24ad4d74c2817bc9b1687858a002a06
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 9 19:58:45 2008 +0000

    Bug 534736: make i18n work
    
    2008-06-09  Colin Walters  <walters@verbum.org>
    
    	Bug 534736: make i18n work
    
    	* src/krb5-auth-dialog.c: Set up i18n correctly.
    	* src/Makefile.am: Pass in LOCALEDIR.
    	Patch from from Guido Günther.
    
    
    svn path=/trunk/; revision=77

 ChangeLog              | 8 ++++++++
 src/Makefile.am        | 5 +++--
 src/krb5-auth-dialog.c | 5 ++++-
 3 files changed, 15 insertions(+), 3 deletions(-)

commit ed4a910a7d4fe151ef7cc430093e3076e3fab7b6
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 9 19:49:21 2008 +0000

    Bug 534620: password field focus
    
    2008-06-09  Colin Walters  <walters@verbum.org>
    
    	Bug 534620: password field focus
    
    	* src/krb5-auth-dialog.c: Be sure we focus the
    	password field every time.
    	Patch from from Guido Günther.
    
    
    svn path=/trunk/; revision=76

 ChangeLog              | 8 ++++++++
 src/krb5-auth-dialog.c | 1 +
 2 files changed, 9 insertions(+)

commit edb2b61359fcf3ee836feec5ec4dae5a97a040da
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 9 19:08:47 2008 +0000

    Bug 534515: cleanups
    
    2008-06-09  Colin Walters  <walters@verbum.org>
    
    	Bug 534515: cleanups
    
    	* configure.in: Look for dbus-glib and not libgnome.
    	Patch from from Guido Günther.
    
    
    svn path=/trunk/; revision=75

 ChangeLog    | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 32089598db7ba5b752df80b141f26c1d6119e05d
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 9 19:07:53 2008 +0000

    Bug 534515: cleanups
    
    2008-06-09  Colin Walters  <walters@verbum.org>
    
    	Bug 534515: cleanups
    
    	* src/krb5-auth-dialog.c: Cleaner use of
    	gboolean.  Patch from from Guido Günther.
    
    
    svn path=/trunk/; revision=74

 ChangeLog              | 7 +++++++
 src/krb5-auth-dialog.c | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit bf2a275b2073edb90b167450269307778d26b035
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 9 19:06:52 2008 +0000

    Bug 534515: cleanups
    
    2008-06-09  Colin Walters  <walters@verbum.org>
    
    	Bug 534515: cleanups
    
    	* src/krb5-auth-dialog.c: Use GOption instead of
    	libgnome.  Patch from Guido Günther.
    
    
    svn path=/trunk/; revision=73

 ChangeLog              |  7 +++++++
 src/krb5-auth-dialog.c | 38 +++++++++++++++++++++++---------------
 2 files changed, 30 insertions(+), 15 deletions(-)

commit 1ebb3ffcf5c6c3a70eb37c18086a18e4e067aaa5
Author: Colin Walters <walters@src.gnome.org>
Date:   Mon Jun 9 18:00:13 2008 +0000

    +2008-06-09  Colin Walters  <walters@verbum.org>
    +
    +	Bug 529220: set dialog icon
    +
    +	* src/krb5-auth-dialog.c: Set an icon so we
    +	look nicer in the window list.  Patch from
    +	Guido Günther.
    +
    
    svn path=/trunk/; revision=72

 ChangeLog              | 8 ++++++++
 src/krb5-auth-dialog.c | 1 +
 2 files changed, 9 insertions(+)

commit e69859d9d731aec14a55c443ea5e9a81cdd4589c
Author: Colin Walters <walters@verbum.org>
Date:   Sat Mar 22 05:07:06 2008 +0000

    + * src/krb5-auth-dialog.c: Grab a name on the + session bus to be doubly
    
     2008-03-22  Colin Walters  <walters@verbum.org>
    
    +	* src/krb5-auth-dialog.c: Grab a name on the
    +	session bus to be doubly sure we don't have
    +	multiple copies.  Also don't connect to the
    +	session manager, since it's not needed.
    +
    
    svn path=/trunk/; revision=71

 ChangeLog              |  7 +++++++
 src/krb5-auth-dialog.c | 47 ++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 47 insertions(+), 7 deletions(-)

commit 28003aabfe5cae63eca93c26b206e5c6e8ba9df3
Author: Colin Walters <walters@src.gnome.org>
Date:   Sat Mar 22 04:26:58 2008 +0000

    +2008-03-22  Colin Walters  <walters@verbum.org>
    +
    +	* MAINTAINERS: New file.
    +	* src/krb5-auth-dialog.c: Connect to session bus
    +	to be sure we exit when the session dies.
    +
    
    svn path=/trunk/; revision=70

 ChangeLog              | 6 ++++++
 src/krb5-auth-dialog.c | 6 ++++++
 2 files changed, 12 insertions(+)

commit 2982c8d12ec3a47575adcc09e2b7eb3cc00fdcbc
Author: Colin Walters <walters@src.gnome.org>
Date:   Sat Mar 22 04:26:46 2008 +0000

    New file.
    
    svn path=/trunk/; revision=69

 MAINTAINERS | 7 +++++++
 1 file changed, 7 insertions(+)

commit a33ff6eb801355abeb4a37fc109c85a3d11d9a05
Author: Kjartan Maraas,,23491770 <kmaraas@gnome.org>
Date:   Fri Nov 2 12:29:30 2007 +0000

    Add .desktop.in file. Updated Norwegian bokmål translation.
    
    2007-11-02  Kjartan Maraas,,23491770  <kmaraas@gnome.org>
    
    	* POTFILES.in: Add .desktop.in file.
    	* nb.po: Updated Norwegian bokmål translation.
    
    svn path=/trunk/; revision=68

 po/ChangeLog   |  5 +++++
 po/POTFILES.in |  1 +
 po/nb.po       | 51 ++++++++++++++++++++++++++++-----------------------
 3 files changed, 34 insertions(+), 23 deletions(-)

commit 7ac965d1ec77c1f3f8bb8af595f8c91ec7c17c0b
Author: Christopher Aillon <caillon@redhat.com>
Date:   Sun Oct 29 22:46:33 2006 +0000

    Refactor code slightly, removing an #ifdef in favor of a wrapper.
    
    2006-10-29  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c:
    	Refactor code slightly, removing an #ifdef in favor
    	of a wrapper.  Consolidate coding style.

 ChangeLog              |   2 +
 src/krb5-auth-dialog.c | 103 +++++++++++++++++++++++++------------------------
 2 files changed, 54 insertions(+), 51 deletions(-)

commit 1f66e33b5d2fb6e864ba4ce4916f954bf835229d
Author: Christopher Aillon <caillon@redhat.com>
Date:   Sun Oct 29 17:42:34 2006 +0000

    Clean up the #ifdefs to make things slightly more readable.
    
    2006-10-29  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Clean up the #ifdefs to
    	make things slightly more readable.

 ChangeLog              |  5 +++
 src/krb5-auth-dialog.c | 93 ++++++++++++++++++--------------------------------
 2 files changed, 39 insertions(+), 59 deletions(-)

commit b684283623c69ae8c1a69536628b79c531ff6bdd
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Jul 24 17:59:24 2006 +0000

    Release 0.7
    
    2006-07-24  Christopher Aillon  <caillon@redhat.com>
    
    	* configure.ac: Release 0.7

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 85eaba78ed017ec6765827f3d5b6b4afcc63af78
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Jul 24 17:48:24 2006 +0000

    Don't immediately retry to reach the KDC if it is unavailable. That will
    
    2006-07-24  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Don't immediately retry
    	to reach the KDC if it is unavailable. That will
    	just loop forever (until the KDC becomes available).
    	Bail out; we'll check (once!) to see whether it's
    	there the next time our g_timeout callback gets
    	invoked.

 ChangeLog              | 9 +++++++++
 src/krb5-auth-dialog.c | 7 ++++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 8e183b3018d90e2b5d984afcc69e98520eac966f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Apr 18 06:08:07 2006 +0000

    Remove obsolete entry for no_NO And the translation
    
    2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* configure.ac: Remove obsolete entry for no_NO
    	* po/no.po: And the translation

 ChangeLog    |    5 +
 configure.ac |    2 +-
 po/no.po     | 3116 ----------------------------------------------------------
 3 files changed, 6 insertions(+), 3117 deletions(-)

commit 35fd56e01852d71d180771530b50667c0c31b0dd
Author: Christopher Aillon <caillon@redhat.com>
Date:   Sat Mar 18 00:21:08 2006 +0000

    Check to see whether credentials are renewable; if so, renew them
    
    2006-03-17  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Check to see whether credentials
    	are renewable; if so, renew them automatically.  Implement this
    	for the MIT implementation only.  (Fixes #331210)
    
    	* configure.ac: Add test to see whether we have krb5_get_renewed_creds

 ChangeLog              |   8 +++
 configure.ac           |   4 ++
 src/krb5-auth-dialog.c | 177 +++++++++++++++++++++++++++----------------------
 3 files changed, 111 insertions(+), 78 deletions(-)

commit 41c53a0f11d53a9d449c7cda432cfc4a223336bd
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Thu Feb 2 02:51:12 2006 +0000

    keep track of whether or not the user explicitly canceled our last request
    
    * src/krb5-auth-dialog.c: keep track of whether or not the user explicitly
    	canceled our last request for information.  If she did, then don't ask
    	again while the expiration time remains unchanged.  Change recursion
    	inside of renew_credentials() into a loop in its calling function.

 ChangeLog              |  7 +++++++
 src/krb5-auth-dialog.c | 26 +++++++++++++++++++++++---
 2 files changed, 30 insertions(+), 3 deletions(-)

commit 9c870a18895e9dd8f59fd075ab7aff516f6d70dc
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Feb 1 22:11:34 2006 +0000

    rename to avoid polluting the krb5 namespace. don't use time() to figure
    
    * src/krb5-auth-dialog.c(krb5_gtk_prompter): rename to avoid polluting
    	the krb5 namespace.
    * src/krb5-auth-dialog.c: don't use time() to figure out what time it
    	is -- we always compare against a krb5_timestamp, so use the libkrb5
    	routines which return the current time instead.

 ChangeLog              |  7 +++++++
 src/krb5-auth-dialog.c | 36 +++++++++++++++++++++++++-----------
 2 files changed, 32 insertions(+), 11 deletions(-)

commit 51224f39d209f67bec4e96dbbe87f9df451a3d7d
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Feb 1 18:05:34 2006 +0000

    correct a typo
    
    * README: correct a typo

 ChangeLog | 5 +++++
 README    | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 6de9f716fceb6bced274f219770cf05cbb7d6b66
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Feb 1 18:05:14 2006 +0000

    fix a warning where we were passing an int where a pointer was expected
    
    * src/krb5-auth-dialog.c(renew_credentials): fix a warning where we
    	were passing an int where a pointer was expected

 src/krb5-auth-dialog.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6cfda2bb58907f2ae1a11bf3e8a9fad00d170d6c
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Jan 31 06:49:30 2006 +0000

    Release 0.6
    
    2006-01-31  Christopher Aillon  <caillon@redhat.com>
    
    	* configure.ac: Release 0.6

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit ba5d724a795775f3c2cd2e3d7b7890142ff2e7fc
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Tue Jan 31 06:48:30 2006 +0000

    update the name and comment

 src/krb5-auth-dialog.desktop.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c5b37d1494adeaf9971dc0d91ef204b591486052
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Jan 31 05:41:57 2006 +0000

    Add desktop file for autostart
    
    2006-01-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.desktop.in:
    	Add desktop file for autostart
    
    	* krb5-auth-dialog.spec.in:
    	* src/Makefile.am:
    	Install desktop file to the correct location
    
    	* src/.cvsignore: Add generated file

 ChangeLog                       | 11 +++++++++++
 krb5-auth-dialog.spec.in        |  1 +
 src/.cvsignore                  |  1 +
 src/Makefile.am                 |  7 +++++++
 src/krb5-auth-dialog.desktop.in |  9 +++++++++
 5 files changed, 29 insertions(+)

commit 4a0ed93fc1a447cad2df858ffa6fb14d371708e4
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Tue Jan 31 05:37:16 2006 +0000

    fix whitespace

 Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dc8f27b4f10d1814882cf2a30655357c16bd681a
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Jan 31 05:19:15 2006 +0000

    Don't explicitly set the invisible_char to '*', get it from GTK+
    
    2006-01-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.glade: Don't explicitly
    	set the invisible_char to '*', get it from GTK+

 ChangeLog                  | 5 +++++
 src/krb5-auth-dialog.glade | 1 -
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1074281745f36ee47f9a032ac8078567d0e44434
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Nov 8 19:45:41 2005 +0000

    Release 0.5
    
    2005-11-08  Christopher Aillon  <caillon@redhat.com>
    
    	* configure.ac: Release 0.5

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 3e7c694ddce113e6b40c125ac4ab64ad82e30deb
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Tue Nov 8 18:43:09 2005 +0000

    get rid of spurious newline

 src/krb5-auth-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 050ee55e0a75743ca237e973b7ba20fc93047956
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Thu Nov 3 23:07:03 2005 +0000

    Update .cvsignore to contain the generated manpage

 src/.cvsignore | 1 +
 1 file changed, 1 insertion(+)

commit f0a0f0a4669b43d5fa4c80c50feb52393a31d36d
Author: Christopher Aillon <caillon@redhat.com>
Date:   Thu Nov 3 23:05:10 2005 +0000

    Consolidate how we figure out the expiry text
    
    2005-11-03  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Consolidate how we figure out the
    	expiry text

 ChangeLog              |  5 +++++
 src/krb5-auth-dialog.c | 37 +++++++++++++++++++++++--------------
 2 files changed, 28 insertions(+), 14 deletions(-)

commit 1bd87d56db92abb5edafbda752d699e1b719faa3
Author: Christopher Aillon <caillon@redhat.com>
Date:   Thu Nov 3 21:13:33 2005 +0000

    Use ngettext () where appropriate
    
    2005-11-03  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Use ngettext () where appropriate

 ChangeLog              |  4 ++++
 src/krb5-auth-dialog.c | 14 +++++++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 81fbe245087ce838508a822f504edb471b7b108e
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Nov 2 23:50:54 2005 +0000

    add a man page.
    
    * src/krb5-auth-dialog.1.in: add a man page.

 ChangeLog                 |  4 ++++
 krb5-auth-dialog.spec.in  |  1 +
 src/Makefile.am           |  4 +++-
 src/krb5-auth-dialog.1.in | 37 +++++++++++++++++++++++++++++++++++++
 4 files changed, 45 insertions(+), 1 deletion(-)

commit 56e4dbdc960a1c9cbf4a505ea1655afc7500b0b5
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Nov 2 23:49:40 2005 +0000

    make the minimum acceptable lifetime for new credentials the minimum that
    
    * configure.ac,src/krb5-auth-dialog.c: make the minimum acceptable lifetime
    	for new credentials the minimum that would force us to take action,
    	not the amount of time we wait in between checks.  Let the check
    	interval be defined in seconds and the minimum lifetime be specified
    	in minutes.

 ChangeLog              |  8 ++++++++
 configure.ac           | 14 ++++++++++++++
 src/krb5-auth-dialog.c |  9 +++------
 3 files changed, 25 insertions(+), 6 deletions(-)

commit 4779606e5766351b38ffd1e0a41014a8f3c2d054
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Nov 2 23:26:57 2005 +0000

    just test for the definitions of the flags directly.
    
    * configure.ac,src/krb5-auth-dialog.c: just test for the definitions of the
    	flags directly.

 ChangeLog              |  5 +++++
 configure.ac           |  2 --
 src/krb5-auth-dialog.c | 12 ++++++------
 3 files changed, 11 insertions(+), 8 deletions(-)

commit 769efb7367aff3c3539582554299a36c1e547ab1
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Nov 2 23:11:08 2005 +0000

    silence a couple of compiler warnings about implicitly-declared functions.
    
    * etpo/lexer.l,etpo/grammar.y: silence a couple of compiler warnings about
    	implicitly-declared functions.

 ChangeLog      | 7 ++++++-
 etpo/grammar.y | 2 ++
 etpo/lexer.l   | 1 +
 3 files changed, 9 insertions(+), 1 deletion(-)

commit 9cdca989ba151bf946d788a03f3b46b5201a00e1
Author: Nalin Dahyabhai <nalin@src.gnome.org>
Date:   Wed Nov 2 23:10:01 2005 +0000

    test for differences between the Heimdal and MIT Kerberos APIs abstract
    
    * configure.ac: test for differences between the Heimdal and MIT Kerberos APIs
    * src/krb5-auth-dialog.c: abstract out differences in how credential flags
    	and realm names are stored.

 ChangeLog              |  7 ++++
 configure.ac           | 45 ++++++++++++++++++++---
 src/krb5-auth-dialog.c | 98 ++++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 138 insertions(+), 12 deletions(-)

commit 71f27e6c5ae6635e6da9a716e67f94fa50c7ad01
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Wed Nov 2 09:37:10 2005 +0000

    Update

 po/nb.po | 1254 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 629 insertions(+), 625 deletions(-)

commit 5b350fa28c3089b6bcae956550d97eecab5bad8f
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Nov 1 17:47:46 2005 +0000

    Release 0.4
    
    2005-11-01  Christopher Aillon  <caillon@redhat.com>
    
    	* configure.ac: Release 0.4

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 97bd5dadd3551c8082529888a3b42835e2c9b75f
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Nov 1 13:35:01 2005 +0000

    src/krb5-auth-dialog.c Patch from Nalin Dahyabhai <nalin@redhat.com> - Fix
    
    2005-11-01  Christopher Aillon  <caillon@redhat.com>
    
    	* Makefile.am:
    	* krb5-auth-dialog.spec.in:
    	* src/krb5-auth-dialog.c
    	Patch from Nalin Dahyabhai <nalin@redhat.com>
    	- Fix the .spec file so that it doesn't choke due to
    	translations.
    	- Include the .spec file in the dist tarball so that
    	'rpmbuild -ts' will work.
    	- Correct a compiler warning.
    	- Set forwardable/proxiable/lifetime from the current ccache,
    	if there is one.
    	- Add a "--always" flag to let us pinch-hit for 'kinit'.
    	- Add a "--auto" flag to override it.
    	- Interpret a preauthentication failure as a bad password.
    	- If we already have a ccache, use its default principal as our
    	default, in case it differs from the local user name.  If the
    	default principal changes out from under us, pick it up, too.
    	- Don't give a bogus lifetime if the ccache is deleted between
    	checks.

 ChangeLog                |  22 ++++++
 Makefile.am              |   3 +-
 krb5-auth-dialog.spec.in |   4 +-
 src/krb5-auth-dialog.c   | 173 ++++++++++++++++++++++++-----------------------
 4 files changed, 115 insertions(+), 87 deletions(-)

commit ea78cf609423d6ddbc995e9f3e6eea4b48695d52
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 22:01:17 2005 +0000

    Release 0.3
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* configure.ac: Release 0.3

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit b37ce6e5cb174556f6d1d502601787bdbfcb57a2
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 21:55:46 2005 +0000

    Make `make distcheck` happy
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* Makefile.am:
    	* src/Makefile.am:
    	* src/dummy-strings.c:
    	Make `make distcheck` happy

 ChangeLog           | 7 +++++++
 Makefile.am         | 7 +++++++
 src/Makefile.am     | 3 ++-
 src/dummy-strings.c | 6 +++++-
 4 files changed, 21 insertions(+), 2 deletions(-)

commit 191b6d4469e5c52693b4d3a476e32a9dec86303f
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Mon Oct 31 19:53:49 2005 +0000

    Update .cvsignore

 .cvsignore    | 30 ++++++++++++++++++++++++------
 po/.cvsignore |  7 +++++++
 2 files changed, 31 insertions(+), 6 deletions(-)

commit 19df6b29732ba98ade4f904f126f8f60076e2e2c
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 19:45:12 2005 +0000

    Memleak fixes Also, respect the hidden field of krb5_prompt
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Memleak fixes
    	Also, respect the hidden field of krb5_prompt

 ChangeLog              |  5 +++++
 src/krb5-auth-dialog.c | 39 +++++++++++++++++++--------------------
 2 files changed, 24 insertions(+), 20 deletions(-)

commit b539419b1f3577c59adce4a923b04836bff03d7f
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 18:15:52 2005 +0000

    Fix test to determine whether we are using krb5 using new
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Fix test to determine whether we
    	are using krb5 using new get_tgt_from_ccache () function
    	from Nalin Dahyabhai <nalin@redhat.com>

 ChangeLog              |  6 +++++
 src/krb5-auth-dialog.c | 72 +++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 60 insertions(+), 18 deletions(-)

commit a333636989227f548e6d4a7289fed36bbefca773
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 07:22:41 2005 +0000

    Set the application name. Also, say less 'kerberos' in user visible text.
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Set the application name.
    	Also, say less 'kerberos' in user visible text.

 ChangeLog              | 5 +++++
 src/krb5-auth-dialog.c | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 3b7aa460f83b8b07cfeee817064b68e5721e69ff
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 07:05:30 2005 +0000

    Update the credentials expiry time
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Update the credentials expiry time

 ChangeLog              |  4 +++
 src/krb5-auth-dialog.c | 66 +++++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 56 insertions(+), 14 deletions(-)

commit 023f791dc1a2cf57879dc6a910f41de802033bd8
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 06:01:46 2005 +0000

    No need to pass around our GladeXML since its a static global
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: No need to pass around our GladeXML
    	since its a static global

 ChangeLog              | 5 +++++
 src/krb5-auth-dialog.c | 7 +++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 8b673b1a8933f6404fee119873af121c2af56913
Author: Christopher Aillon <caillon@redhat.com>
Date:   Mon Oct 31 05:55:04 2005 +0000

    The dialog shouldn't have two labels reading 'Password:' so make the
    
    2005-10-31  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: The dialog shouldn't have two labels
    	reading 'Password:' so make the primary one have better text.

 ChangeLog              |  5 +++++
 src/krb5-auth-dialog.c | 35 ++++++++++++++++++++++++-----------
 2 files changed, 29 insertions(+), 11 deletions(-)

commit ae8a87443b284875f731bebac88e21797c399477
Author: Christopher Aillon <caillon@redhat.com>
Date:   Sat Oct 29 18:42:16 2005 +0000

    Use libnm-glib for NetworkManager support instead of the NetworkManager
    
    2005-10-29  Christopher Aillon  <caillon@redhat.com>
    
    	* configure.ac:
    	* src/Makefile.am:
    	* src/krb5-auth-dialog.c: Use libnm-glib for NetworkManager support
    	instead of the NetworkManager D-BUS API.

 ChangeLog              |   7 +++
 configure.ac           |  35 ++++++------
 src/Makefile.am        |   2 +-
 src/krb5-auth-dialog.c | 152 ++++++++++++++++---------------------------------
 4 files changed, 76 insertions(+), 120 deletions(-)

commit 07816942fa9d84644a07948b77dce9a8f1f26af8
Author: Christopher Aillon <caillon@redhat.com>
Date:   Sat Oct 29 07:17:38 2005 +0000

    this is generated, no need to live in repository
    
    2005-10-29  Christopher Aillon  <caillon@redhat.com>
    
    	* Makefile.in.in: this is generated, no need to live in repository

 po/ChangeLog      |   4 +
 po/Makefile.in.in | 254 ------------------------------------------------------
 2 files changed, 4 insertions(+), 254 deletions(-)

commit 1837b286235411b1d575969baa9e6cbd7ede2024
Author: Christopher Aillon <caillon@redhat.com>
Date:   Sat Oct 29 06:25:42 2005 +0000

    Reformat using tabs instead of spaces
    
    2005-10-29  Christopher Aillon  <caillon@redhat.com>
    
    	* src/krb5-auth-dialog.c: Reformat using tabs instead of spaces

 ChangeLog              |   6 +-
 src/krb5-auth-dialog.c | 616 +++++++++++++++++++++++++------------------------
 2 files changed, 314 insertions(+), 308 deletions(-)

commit 6e04a5ef624e17d052a939957d49c21c4682a2c3
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Wed Nov 3 21:21:19 2004 +0000

    Update BuildRequires

 krb5-auth-dialog.spec.in | 2 ++
 1 file changed, 2 insertions(+)

commit 3276af0e6957288cccf57170879c5b0ca74d07ba
Author: Christopher Aillon <caillon@redhat.com>
Date:   Tue Sep 7 19:51:30 2004 +0000

    Check whether we are running in a kerberos environment before entering the
    
    2004-09-07  Christopher Aillon <caillon@redhat.com>
            * src/krb5-auth-dialog.c: Check whether we are running in a
            kerberos environment before entering the timeout to see when
            the tickets expire.
    
            * src/krb5-auth-dialog.c: Use g_get_user_name and other code
            cleanup.

 ChangeLog              | 10 +++++-
 src/krb5-auth-dialog.c | 91 +++++++++++++++++++++++++++-----------------------
 2 files changed, 58 insertions(+), 43 deletions(-)

commit bbe8622fdd5eec44e6cb9b7976f67785426ac453
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 2 05:00:59 2004 +0000

    Check for NetworkManager.
    
    2004-09-02  Colin Walters  <walters@verbum.org>
    
    	* configure.in: Check for NetworkManager.
    
    	* Makefile.am: Add NETWORKMANAGER_LIBS.
    
    	* src/krb5-auth-dialog.c (am_online): New function,
    	uses NetworkManager over D-BUS to determine
    	whether or not we're online.
    
    	* src/krb5-auth-dialog.c (credentials_expiring): Don't
    	try to renew credentials if we're not online.

 ChangeLog              |  14 ++++++-
 configure.ac           |  20 ++++++++-
 src/Makefile.am        |   2 +-
 src/krb5-auth-dialog.c | 110 ++++++++++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 141 insertions(+), 5 deletions(-)

commit 3266341bb28fdcbc965447d24870d43abcc6d838
Author: Diego Gonzalez <diego@pemas.net>
Date:   Sun Aug 29 19:55:25 2004 +0000

    add --with-heimdal modify to support heimdal if enabled center the dialog
    
    2004-08-28  Diego Gonzalez  <diego@pemas.net>
    
    	* configure.ac: add --with-heimdal
    	* krb5-auth-dialog: modify to support heimdal if enabled
    	* krb5-auth-dialog.glade: center the dialog

 ChangeLog                  | 8 +++++++-
 configure.ac               | 5 +++++
 src/krb5-auth-dialog.c     | 3 ++-
 src/krb5-auth-dialog.glade | 2 +-
 4 files changed, 15 insertions(+), 3 deletions(-)

commit 9b47d3481dd643e9613ffe8b2a54d1f5c0a5f636
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 19 15:20:15 2004 +0000

    Added «nb» and «no» to ALL_LINGUAS.
    
    2004-08-19  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* configure.ac: Added «nb» and «no» to ALL_LINGUAS.

 ChangeLog    | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 712282241c5ed5e5739f7df6575357f7b5121d08
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 19 15:19:47 2004 +0000

    Add this and this
    
    2004-08-19  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* nb.po: Add this
    	* no.po: and this

 po/ChangeLog |    5 +
 po/nb.po     | 3116 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/no.po     | 3116 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 6237 insertions(+)

commit 1a214e68cf5d2512bf3fc50d5e0d3ee5661e4254
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Wed Aug 18 21:39:53 2004 +0000

    Bumping to 0.2

 ChangeLog        | 8 ++++++++
 configure.ac     | 2 +-
 etpo/Makefile.am | 2 ++
 3 files changed, 11 insertions(+), 1 deletion(-)

commit 036a91201e0c744935338b61418d126ff5cb1ea3
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Wed Aug 18 21:23:59 2004 +0000

    Add status notifications for invalid passwords and how much time remains until credentials expiry.

 po/krb5-auth-dialog.pot | 29 +++++++++++++++++++----------
 src/krb5-auth-dialog.c  | 46 ++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 59 insertions(+), 16 deletions(-)

commit dcb76f361ed53d85901bcb0fed2a1c94569d00c9
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Tue Aug 17 19:31:14 2004 +0000

    shut up CVS

 etpo/.cvsignore | 6 ++++++
 1 file changed, 6 insertions(+)

commit 915143d4e33c2258353fdae273ebd87fa61f012b
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Tue Aug 17 19:29:03 2004 +0000

    forgot this

 src/dummy-strings.c | 645 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 645 insertions(+)

commit 7d2c876c01b7e2ebed3ff4487d4939c921f119dc
Author: Jonathan Blandford <jrb@redhat.com>
Date:   Tue Aug 17 19:28:50 2004 +0000

    Use gettext
    
    Tue Aug 17 15:27:33 2004  Jonathan Blandford  <jrb@redhat.com>
    
            * src/krb5-auth-dialog.c: Use gettext
    
            * src/dummy-strings.c: Kerberos error messages to translate.

 ChangeLog               |    6 +
 README                  |    4 +-
 etpo/grammar.y          |   20 +-
 etpo/lexer.l            |   35 +-
 po/POTFILES.in          |    2 +
 po/krb5-auth-dialog.pot | 3080 ++++++++++++++++++++++++++++++++++++++++++++++-
 src/krb5-auth-dialog.c  |   17 +-
 7 files changed, 3116 insertions(+), 48 deletions(-)

commit 39e69504088bda65a3f7c6c1b39fe61256dd7f9f
Author: Jonathan Blandford <jrb@redhat.com>
Date:   Tue Aug 17 17:55:09 2004 +0000

    Started changelog
    
    Tue Aug 17 13:53:45 2004  Jonathan Blandford  <jrb@redhat.com>
    
            * ChangeLog: Started changelog
    
            * etpo/*: New subdir to help with translations of kerberos.

 ChangeLog        |   6 ++
 Makefile.am      |   2 +-
 README           |  12 +++-
 autogen.sh       |   2 +-
 configure.ac     |   3 +
 etpo/Makefile.am |   6 ++
 etpo/README      |   8 +++
 etpo/grammar.y   |  76 +++++++++++++++++++++++++
 etpo/lexer.l     | 167 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 279 insertions(+), 3 deletions(-)

commit eb52c49444de6c2d7f5de2569cf3c486a8082300
Author: Christopher Aillon <caillon@src.gnome.org>
Date:   Tue Aug 17 17:43:39 2004 +0000

    Preparation for using gnome session

 configure.ac           |  1 +
 src/krb5-auth-dialog.c | 11 ++++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 3e72ab13d91302179ad763ad0794b778484d4e39
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:42:04 2004 +0000

    update-po

 po/krb5-auth-dialog.pot | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 9357e0c877835924d924baef5fac295b23a94239
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:40:41 2004 +0000

    add a spec file

 .cvsignore               |  1 +
 configure.ac             |  1 +
 krb5-auth-dialog.spec.in | 41 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 43 insertions(+)

commit e3447c1ddde1eb3aa6d29d0c56393920a5a5a197
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:23:17 2004 +0000

    minor code cleanup

 src/krb5-auth-dialog.c | 196 ++++++++++++++++++++++++-------------------------
 1 file changed, 98 insertions(+), 98 deletions(-)

commit 9b56d8959f80d463e4dde321c1bb645fd56fe71a
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:15:11 2004 +0000

    Brag a bit; shut up CVS

 .cvsignore     | 12 ++++++++++++
 AUTHORS        |  2 ++
 README         |  2 ++
 po/.cvsignore  |  3 +++
 src/.cvsignore |  3 +++
 5 files changed, 22 insertions(+)

commit c28fa3ea9736fc16427af635375c439c421e9e8e
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:10:50 2004 +0000

    make some labels untranslatable

 src/krb5-auth-dialog.glade | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 43cdd4ded927bd5e546ce1bc08ff56e8d92d4063
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:07:30 2004 +0000

    Import new kerberos checking module

commit 3b8fcc3f245e82471cbded29f098df9c0cdf3e4e
Author: Jonathan Blandford <jrb@src.gnome.org>
Date:   Mon Aug 16 19:07:30 2004 +0000

    Initial revision

 AUTHORS                    |   0
 ChangeLog                  |   0
 Makefile.am                |   1 +
 NEWS                       |   0
 README                     |   0
 autogen.sh                 |  21 ++++
 configure.ac               |  44 +++++++
 po/ChangeLog               |  11 ++
 po/Makefile.in.in          | 254 ++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in             |   1 +
 po/krb5-auth-dialog.pot    |  37 ++++++
 src/Makefile.am            |  17 +++
 src/krb5-auth-dialog.c     | 282 +++++++++++++++++++++++++++++++++++++++++++++
 src/krb5-auth-dialog.glade | 253 ++++++++++++++++++++++++++++++++++++++++
 14 files changed, 921 insertions(+)
